depends = ('ITKPyBase', 'ITKTransform', 'ITKSpatialObjects', 'ITKImageFilterBase', 'ITKImageCompose', )
templates = (
  ('AccumulateImageFilter', 'itk::AccumulateImageFilter', 'itkAccumulateImageFilterISS2ISS2', True, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('AccumulateImageFilter', 'itk::AccumulateImageFilter', 'itkAccumulateImageFilterISS3ISS3', True, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('AccumulateImageFilter', 'itk::AccumulateImageFilter', 'itkAccumulateImageFilterIUC2IUC2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('AccumulateImageFilter', 'itk::AccumulateImageFilter', 'itkAccumulateImageFilterIUC3IUC3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('AccumulateImageFilter', 'itk::AccumulateImageFilter', 'itkAccumulateImageFilterIULL2IULL2', True, 'itk::Image< unsigned long long,2 >, itk::Image< unsigned long long,2 >'),
  ('AccumulateImageFilter', 'itk::AccumulateImageFilter', 'itkAccumulateImageFilterIULL3IULL3', True, 'itk::Image< unsigned long long,3 >, itk::Image< unsigned long long,3 >'),
  ('AccumulateImageFilter', 'itk::AccumulateImageFilter', 'itkAccumulateImageFilterIF2IF2', True, 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('AccumulateImageFilter', 'itk::AccumulateImageFilter', 'itkAccumulateImageFilterIF3IF3', True, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('AccumulateImageFilter', 'itk::AccumulateImageFilter', 'itkAccumulateImageFilterID2ID2', True, 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('AccumulateImageFilter', 'itk::AccumulateImageFilter', 'itkAccumulateImageFilterID3ID3', True, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('KernelImageFilter', 'itk::KernelImageFilter', 'itkKernelImageFilterISS2ISS2Neighborhood', False, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >, itk::Neighborhood< bool, 2 >'),
  ('KernelImageFilter', 'itk::KernelImageFilter', 'itkKernelImageFilterISS3ISS3Neighborhood', False, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >, itk::Neighborhood< bool, 3 >'),
  ('KernelImageFilter', 'itk::KernelImageFilter', 'itkKernelImageFilterIUC2IUC2Neighborhood', False, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >, itk::Neighborhood< bool, 2 >'),
  ('KernelImageFilter', 'itk::KernelImageFilter', 'itkKernelImageFilterIUC3IUC3Neighborhood', False, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >, itk::Neighborhood< bool, 3 >'),
  ('KernelImageFilter', 'itk::KernelImageFilter', 'itkKernelImageFilterIULL2IULL2Neighborhood', False, 'itk::Image< unsigned long long,2 >, itk::Image< unsigned long long,2 >, itk::Neighborhood< bool, 2 >'),
  ('KernelImageFilter', 'itk::KernelImageFilter', 'itkKernelImageFilterIULL3IULL3Neighborhood', False, 'itk::Image< unsigned long long,3 >, itk::Image< unsigned long long,3 >, itk::Neighborhood< bool, 3 >'),
  ('KernelImageFilter', 'itk::KernelImageFilter', 'itkKernelImageFilterIF2IF2Neighborhood', False, 'itk::Image< float,2 >, itk::Image< float,2 >, itk::Neighborhood< bool, 2 >'),
  ('KernelImageFilter', 'itk::KernelImageFilter', 'itkKernelImageFilterIF3IF3Neighborhood', False, 'itk::Image< float,3 >, itk::Image< float,3 >, itk::Neighborhood< bool, 3 >'),
  ('KernelImageFilter', 'itk::KernelImageFilter', 'itkKernelImageFilterID2ID2Neighborhood', False, 'itk::Image< double,2 >, itk::Image< double,2 >, itk::Neighborhood< bool, 2 >'),
  ('KernelImageFilter', 'itk::KernelImageFilter', 'itkKernelImageFilterID3ID3Neighborhood', False, 'itk::Image< double,3 >, itk::Image< double,3 >, itk::Neighborhood< bool, 3 >'),
  ('MovingHistogramImageFilterBase', 'itk::MovingHistogramImageFilterBase', 'itkMovingHistogramImageFilterBaseISS2ISS2Neighborhood', False, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >, itk::Neighborhood< bool, 2 >'),
  ('MovingHistogramImageFilterBase', 'itk::MovingHistogramImageFilterBase', 'itkMovingHistogramImageFilterBaseISS3ISS3Neighborhood', False, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >, itk::Neighborhood< bool, 3 >'),
  ('MovingHistogramImageFilterBase', 'itk::MovingHistogramImageFilterBase', 'itkMovingHistogramImageFilterBaseIUC2IUC2Neighborhood', False, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >, itk::Neighborhood< bool, 2 >'),
  ('MovingHistogramImageFilterBase', 'itk::MovingHistogramImageFilterBase', 'itkMovingHistogramImageFilterBaseIUC3IUC3Neighborhood', False, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >, itk::Neighborhood< bool, 3 >'),
  ('MovingHistogramImageFilterBase', 'itk::MovingHistogramImageFilterBase', 'itkMovingHistogramImageFilterBaseIULL2IULL2Neighborhood', False, 'itk::Image< unsigned long long,2 >, itk::Image< unsigned long long,2 >, itk::Neighborhood< bool, 2 >'),
  ('MovingHistogramImageFilterBase', 'itk::MovingHistogramImageFilterBase', 'itkMovingHistogramImageFilterBaseIULL3IULL3Neighborhood', False, 'itk::Image< unsigned long long,3 >, itk::Image< unsigned long long,3 >, itk::Neighborhood< bool, 3 >'),
  ('MovingHistogramImageFilterBase', 'itk::MovingHistogramImageFilterBase', 'itkMovingHistogramImageFilterBaseIF2IF2Neighborhood', False, 'itk::Image< float,2 >, itk::Image< float,2 >, itk::Neighborhood< bool, 2 >'),
  ('MovingHistogramImageFilterBase', 'itk::MovingHistogramImageFilterBase', 'itkMovingHistogramImageFilterBaseIF3IF3Neighborhood', False, 'itk::Image< float,3 >, itk::Image< float,3 >, itk::Neighborhood< bool, 3 >'),
  ('MovingHistogramImageFilterBase', 'itk::MovingHistogramImageFilterBase', 'itkMovingHistogramImageFilterBaseID2ID2Neighborhood', False, 'itk::Image< double,2 >, itk::Image< double,2 >, itk::Neighborhood< bool, 2 >'),
  ('MovingHistogramImageFilterBase', 'itk::MovingHistogramImageFilterBase', 'itkMovingHistogramImageFilterBaseID3ID3Neighborhood', False, 'itk::Image< double,3 >, itk::Image< double,3 >, itk::Neighborhood< bool, 3 >'),
  ('AdaptiveEqualizationHistogram', 'itk::Function::AdaptiveEqualizationHistogram', 'itkAdaptiveEqualizationHistogramSSSS', True, 'signed short, signed short'),
  ('AdaptiveEqualizationHistogram', 'itk::Function::AdaptiveEqualizationHistogram', 'itkAdaptiveEqualizationHistogramUCUC', True, 'unsigned char, unsigned char'),
  ('AdaptiveEqualizationHistogram', 'itk::Function::AdaptiveEqualizationHistogram', 'itkAdaptiveEqualizationHistogramULLULL', True, 'unsigned long long, unsigned long long'),
  ('AdaptiveEqualizationHistogram', 'itk::Function::AdaptiveEqualizationHistogram', 'itkAdaptiveEqualizationHistogramFF', True, 'float, float'),
  ('AdaptiveEqualizationHistogram', 'itk::Function::AdaptiveEqualizationHistogram', 'itkAdaptiveEqualizationHistogramDD', True, 'double, double'),
  ('MovingHistogramImageFilter', 'itk::MovingHistogramImageFilter', 'itkMovingHistogramImageFilterISS2ISS2NeighborhoodAHE', False, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >, itk::Neighborhood< bool, 2 >, itk::Function::AdaptiveEqualizationHistogram< signed short, signed short >'),
  ('MovingHistogramImageFilter', 'itk::MovingHistogramImageFilter', 'itkMovingHistogramImageFilterISS3ISS3NeighborhoodAHE', False, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >, itk::Neighborhood< bool, 3 >, itk::Function::AdaptiveEqualizationHistogram< signed short, signed short >'),
  ('MovingHistogramImageFilter', 'itk::MovingHistogramImageFilter', 'itkMovingHistogramImageFilterIUC2IUC2NeighborhoodAHE', False, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >, itk::Neighborhood< bool, 2 >, itk::Function::AdaptiveEqualizationHistogram< unsigned char, unsigned char >'),
  ('MovingHistogramImageFilter', 'itk::MovingHistogramImageFilter', 'itkMovingHistogramImageFilterIUC3IUC3NeighborhoodAHE', False, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >, itk::Neighborhood< bool, 3 >, itk::Function::AdaptiveEqualizationHistogram< unsigned char, unsigned char >'),
  ('MovingHistogramImageFilter', 'itk::MovingHistogramImageFilter', 'itkMovingHistogramImageFilterIULL2IULL2NeighborhoodAHE', False, 'itk::Image< unsigned long long,2 >, itk::Image< unsigned long long,2 >, itk::Neighborhood< bool, 2 >, itk::Function::AdaptiveEqualizationHistogram< unsigned long long, unsigned long long >'),
  ('MovingHistogramImageFilter', 'itk::MovingHistogramImageFilter', 'itkMovingHistogramImageFilterIULL3IULL3NeighborhoodAHE', False, 'itk::Image< unsigned long long,3 >, itk::Image< unsigned long long,3 >, itk::Neighborhood< bool, 3 >, itk::Function::AdaptiveEqualizationHistogram< unsigned long long, unsigned long long >'),
  ('MovingHistogramImageFilter', 'itk::MovingHistogramImageFilter', 'itkMovingHistogramImageFilterIF2IF2NeighborhoodAHE', False, 'itk::Image< float,2 >, itk::Image< float,2 >, itk::Neighborhood< bool, 2 >, itk::Function::AdaptiveEqualizationHistogram< float, float >'),
  ('MovingHistogramImageFilter', 'itk::MovingHistogramImageFilter', 'itkMovingHistogramImageFilterIF3IF3NeighborhoodAHE', False, 'itk::Image< float,3 >, itk::Image< float,3 >, itk::Neighborhood< bool, 3 >, itk::Function::AdaptiveEqualizationHistogram< float, float >'),
  ('MovingHistogramImageFilter', 'itk::MovingHistogramImageFilter', 'itkMovingHistogramImageFilterID2ID2NeighborhoodAHE', False, 'itk::Image< double,2 >, itk::Image< double,2 >, itk::Neighborhood< bool, 2 >, itk::Function::AdaptiveEqualizationHistogram< double, double >'),
  ('MovingHistogramImageFilter', 'itk::MovingHistogramImageFilter', 'itkMovingHistogramImageFilterID3ID3NeighborhoodAHE', False, 'itk::Image< double,3 >, itk::Image< double,3 >, itk::Neighborhood< bool, 3 >, itk::Function::AdaptiveEqualizationHistogram< double, double >'),
  ('AdaptiveHistogramEqualizationImageFilter', 'itk::AdaptiveHistogramEqualizationImageFilter', 'itkAdaptiveHistogramEqualizationImageFilterISS2', True, 'itk::Image< signed short,2 >'),
  ('AdaptiveHistogramEqualizationImageFilter', 'itk::AdaptiveHistogramEqualizationImageFilter', 'itkAdaptiveHistogramEqualizationImageFilterISS3', True, 'itk::Image< signed short,3 >'),
  ('AdaptiveHistogramEqualizationImageFilter', 'itk::AdaptiveHistogramEqualizationImageFilter', 'itkAdaptiveHistogramEqualizationImageFilterIUC2', True, 'itk::Image< unsigned char,2 >'),
  ('AdaptiveHistogramEqualizationImageFilter', 'itk::AdaptiveHistogramEqualizationImageFilter', 'itkAdaptiveHistogramEqualizationImageFilterIUC3', True, 'itk::Image< unsigned char,3 >'),
  ('AdaptiveHistogramEqualizationImageFilter', 'itk::AdaptiveHistogramEqualizationImageFilter', 'itkAdaptiveHistogramEqualizationImageFilterIULL2', True, 'itk::Image< unsigned long long,2 >'),
  ('AdaptiveHistogramEqualizationImageFilter', 'itk::AdaptiveHistogramEqualizationImageFilter', 'itkAdaptiveHistogramEqualizationImageFilterIULL3', True, 'itk::Image< unsigned long long,3 >'),
  ('AdaptiveHistogramEqualizationImageFilter', 'itk::AdaptiveHistogramEqualizationImageFilter', 'itkAdaptiveHistogramEqualizationImageFilterIF2', True, 'itk::Image< float,2 >'),
  ('AdaptiveHistogramEqualizationImageFilter', 'itk::AdaptiveHistogramEqualizationImageFilter', 'itkAdaptiveHistogramEqualizationImageFilterIF3', True, 'itk::Image< float,3 >'),
  ('AdaptiveHistogramEqualizationImageFilter', 'itk::AdaptiveHistogramEqualizationImageFilter', 'itkAdaptiveHistogramEqualizationImageFilterID2', True, 'itk::Image< double,2 >'),
  ('AdaptiveHistogramEqualizationImageFilter', 'itk::AdaptiveHistogramEqualizationImageFilter', 'itkAdaptiveHistogramEqualizationImageFilterID3', True, 'itk::Image< double,3 >'),
  ('BinaryProjectionImageFilter', 'itk::BinaryProjectionImageFilter', 'itkBinaryProjectionImageFilterISS2ISS2', True, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('BinaryProjectionImageFilter', 'itk::BinaryProjectionImageFilter', 'itkBinaryProjectionImageFilterISS3ISS3', True, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('BinaryProjectionImageFilter', 'itk::BinaryProjectionImageFilter', 'itkBinaryProjectionImageFilterIUC2IUC2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('BinaryProjectionImageFilter', 'itk::BinaryProjectionImageFilter', 'itkBinaryProjectionImageFilterIUC3IUC3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('BinaryProjectionImageFilter', 'itk::BinaryProjectionImageFilter', 'itkBinaryProjectionImageFilterIULL2IULL2', True, 'itk::Image< unsigned long long,2 >, itk::Image< unsigned long long,2 >'),
  ('BinaryProjectionImageFilter', 'itk::BinaryProjectionImageFilter', 'itkBinaryProjectionImageFilterIULL3IULL3', True, 'itk::Image< unsigned long long,3 >, itk::Image< unsigned long long,3 >'),
  ('BinaryProjectionImageFilter', 'itk::BinaryProjectionImageFilter', 'itkBinaryProjectionImageFilterIF2IF2', True, 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('BinaryProjectionImageFilter', 'itk::BinaryProjectionImageFilter', 'itkBinaryProjectionImageFilterIF3IF3', True, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('BinaryProjectionImageFilter', 'itk::BinaryProjectionImageFilter', 'itkBinaryProjectionImageFilterID2ID2', True, 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('BinaryProjectionImageFilter', 'itk::BinaryProjectionImageFilter', 'itkBinaryProjectionImageFilterID3ID3', True, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('BinaryProjectionImageFilter', 'itk::BinaryProjectionImageFilter', 'itkBinaryProjectionImageFilterISS3ISS2', True, 'itk::Image< signed short,3 >,itk::Image< signed short,2 >'),
  ('BinaryProjectionImageFilter', 'itk::BinaryProjectionImageFilter', 'itkBinaryProjectionImageFilterIUC3IUC2', True, 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,2 >'),
  ('BinaryProjectionImageFilter', 'itk::BinaryProjectionImageFilter', 'itkBinaryProjectionImageFilterIULL3IULL2', True, 'itk::Image< unsigned long long,3 >,itk::Image< unsigned long long,2 >'),
  ('ImageMomentsCalculator', 'itk::ImageMomentsCalculator', 'itkImageMomentsCalculatorISS2', True, 'itk::Image< signed short,2 >'),
  ('ImageMomentsCalculator', 'itk::ImageMomentsCalculator', 'itkImageMomentsCalculatorISS3', True, 'itk::Image< signed short,3 >'),
  ('ImageMomentsCalculator', 'itk::ImageMomentsCalculator', 'itkImageMomentsCalculatorIUC2', True, 'itk::Image< unsigned char,2 >'),
  ('ImageMomentsCalculator', 'itk::ImageMomentsCalculator', 'itkImageMomentsCalculatorIUC3', True, 'itk::Image< unsigned char,3 >'),
  ('ImageMomentsCalculator', 'itk::ImageMomentsCalculator', 'itkImageMomentsCalculatorIULL2', True, 'itk::Image< unsigned long long,2 >'),
  ('ImageMomentsCalculator', 'itk::ImageMomentsCalculator', 'itkImageMomentsCalculatorIULL3', True, 'itk::Image< unsigned long long,3 >'),
  ('ImageMomentsCalculator', 'itk::ImageMomentsCalculator', 'itkImageMomentsCalculatorIF2', True, 'itk::Image< float,2 >'),
  ('ImageMomentsCalculator', 'itk::ImageMomentsCalculator', 'itkImageMomentsCalculatorIF3', True, 'itk::Image< float,3 >'),
  ('ImageMomentsCalculator', 'itk::ImageMomentsCalculator', 'itkImageMomentsCalculatorID2', True, 'itk::Image< double,2 >'),
  ('ImageMomentsCalculator', 'itk::ImageMomentsCalculator', 'itkImageMomentsCalculatorID3', True, 'itk::Image< double,3 >'),
  ('ImagePCAShapeModelEstimator', 'itk::ImagePCAShapeModelEstimator', 'itkImagePCAShapeModelEstimatorISS2IF2', True, 'itk::Image< signed short,2 >, itk::Image< float,2 >'),
  ('ImagePCAShapeModelEstimator', 'itk::ImagePCAShapeModelEstimator', 'itkImagePCAShapeModelEstimatorISS2ID2', True, 'itk::Image< signed short,2 >, itk::Image< double,2 >'),
  ('ImagePCAShapeModelEstimator', 'itk::ImagePCAShapeModelEstimator', 'itkImagePCAShapeModelEstimatorIUC2IF2', True, 'itk::Image< unsigned char,2 >, itk::Image< float,2 >'),
  ('ImagePCAShapeModelEstimator', 'itk::ImagePCAShapeModelEstimator', 'itkImagePCAShapeModelEstimatorIUC2ID2', True, 'itk::Image< unsigned char,2 >, itk::Image< double,2 >'),
  ('ImagePCAShapeModelEstimator', 'itk::ImagePCAShapeModelEstimator', 'itkImagePCAShapeModelEstimatorIULL2IF2', True, 'itk::Image< unsigned long long,2 >, itk::Image< float,2 >'),
  ('ImagePCAShapeModelEstimator', 'itk::ImagePCAShapeModelEstimator', 'itkImagePCAShapeModelEstimatorIULL2ID2', True, 'itk::Image< unsigned long long,2 >, itk::Image< double,2 >'),
  ('ImagePCAShapeModelEstimator', 'itk::ImagePCAShapeModelEstimator', 'itkImagePCAShapeModelEstimatorIF2IF2', True, 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('ImagePCAShapeModelEstimator', 'itk::ImagePCAShapeModelEstimator', 'itkImagePCAShapeModelEstimatorIF2ID2', True, 'itk::Image< float,2 >, itk::Image< double,2 >'),
  ('ImagePCAShapeModelEstimator', 'itk::ImagePCAShapeModelEstimator', 'itkImagePCAShapeModelEstimatorID2IF2', True, 'itk::Image< double,2 >, itk::Image< float,2 >'),
  ('ImagePCAShapeModelEstimator', 'itk::ImagePCAShapeModelEstimator', 'itkImagePCAShapeModelEstimatorID2ID2', True, 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('ImagePCAShapeModelEstimator', 'itk::ImagePCAShapeModelEstimator', 'itkImagePCAShapeModelEstimatorISS3IF3', True, 'itk::Image< signed short,3 >, itk::Image< float,3 >'),
  ('ImagePCAShapeModelEstimator', 'itk::ImagePCAShapeModelEstimator', 'itkImagePCAShapeModelEstimatorISS3ID3', True, 'itk::Image< signed short,3 >, itk::Image< double,3 >'),
  ('ImagePCAShapeModelEstimator', 'itk::ImagePCAShapeModelEstimator', 'itkImagePCAShapeModelEstimatorIUC3IF3', True, 'itk::Image< unsigned char,3 >, itk::Image< float,3 >'),
  ('ImagePCAShapeModelEstimator', 'itk::ImagePCAShapeModelEstimator', 'itkImagePCAShapeModelEstimatorIUC3ID3', True, 'itk::Image< unsigned char,3 >, itk::Image< double,3 >'),
  ('ImagePCAShapeModelEstimator', 'itk::ImagePCAShapeModelEstimator', 'itkImagePCAShapeModelEstimatorIULL3IF3', True, 'itk::Image< unsigned long long,3 >, itk::Image< float,3 >'),
  ('ImagePCAShapeModelEstimator', 'itk::ImagePCAShapeModelEstimator', 'itkImagePCAShapeModelEstimatorIULL3ID3', True, 'itk::Image< unsigned long long,3 >, itk::Image< double,3 >'),
  ('ImagePCAShapeModelEstimator', 'itk::ImagePCAShapeModelEstimator', 'itkImagePCAShapeModelEstimatorIF3IF3', True, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('ImagePCAShapeModelEstimator', 'itk::ImagePCAShapeModelEstimator', 'itkImagePCAShapeModelEstimatorIF3ID3', True, 'itk::Image< float,3 >, itk::Image< double,3 >'),
  ('ImagePCAShapeModelEstimator', 'itk::ImagePCAShapeModelEstimator', 'itkImagePCAShapeModelEstimatorID3IF3', True, 'itk::Image< double,3 >, itk::Image< float,3 >'),
  ('ImagePCAShapeModelEstimator', 'itk::ImagePCAShapeModelEstimator', 'itkImagePCAShapeModelEstimatorID3ID3', True, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('ImageShapeModelEstimatorBase', 'itk::ImageShapeModelEstimatorBase', 'itkImageShapeModelEstimatorBaseISS2IF2', True, 'itk::Image< signed short,2 >, itk::Image< float,2 >'),
  ('ImageShapeModelEstimatorBase', 'itk::ImageShapeModelEstimatorBase', 'itkImageShapeModelEstimatorBaseISS2ID2', True, 'itk::Image< signed short,2 >, itk::Image< double,2 >'),
  ('ImageShapeModelEstimatorBase', 'itk::ImageShapeModelEstimatorBase', 'itkImageShapeModelEstimatorBaseIUC2IF2', True, 'itk::Image< unsigned char,2 >, itk::Image< float,2 >'),
  ('ImageShapeModelEstimatorBase', 'itk::ImageShapeModelEstimatorBase', 'itkImageShapeModelEstimatorBaseIUC2ID2', True, 'itk::Image< unsigned char,2 >, itk::Image< double,2 >'),
  ('ImageShapeModelEstimatorBase', 'itk::ImageShapeModelEstimatorBase', 'itkImageShapeModelEstimatorBaseIULL2IF2', True, 'itk::Image< unsigned long long,2 >, itk::Image< float,2 >'),
  ('ImageShapeModelEstimatorBase', 'itk::ImageShapeModelEstimatorBase', 'itkImageShapeModelEstimatorBaseIULL2ID2', True, 'itk::Image< unsigned long long,2 >, itk::Image< double,2 >'),
  ('ImageShapeModelEstimatorBase', 'itk::ImageShapeModelEstimatorBase', 'itkImageShapeModelEstimatorBaseIF2IF2', True, 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('ImageShapeModelEstimatorBase', 'itk::ImageShapeModelEstimatorBase', 'itkImageShapeModelEstimatorBaseIF2ID2', True, 'itk::Image< float,2 >, itk::Image< double,2 >'),
  ('ImageShapeModelEstimatorBase', 'itk::ImageShapeModelEstimatorBase', 'itkImageShapeModelEstimatorBaseID2IF2', True, 'itk::Image< double,2 >, itk::Image< float,2 >'),
  ('ImageShapeModelEstimatorBase', 'itk::ImageShapeModelEstimatorBase', 'itkImageShapeModelEstimatorBaseID2ID2', True, 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('ImageShapeModelEstimatorBase', 'itk::ImageShapeModelEstimatorBase', 'itkImageShapeModelEstimatorBaseISS3IF3', True, 'itk::Image< signed short,3 >, itk::Image< float,3 >'),
  ('ImageShapeModelEstimatorBase', 'itk::ImageShapeModelEstimatorBase', 'itkImageShapeModelEstimatorBaseISS3ID3', True, 'itk::Image< signed short,3 >, itk::Image< double,3 >'),
  ('ImageShapeModelEstimatorBase', 'itk::ImageShapeModelEstimatorBase', 'itkImageShapeModelEstimatorBaseIUC3IF3', True, 'itk::Image< unsigned char,3 >, itk::Image< float,3 >'),
  ('ImageShapeModelEstimatorBase', 'itk::ImageShapeModelEstimatorBase', 'itkImageShapeModelEstimatorBaseIUC3ID3', True, 'itk::Image< unsigned char,3 >, itk::Image< double,3 >'),
  ('ImageShapeModelEstimatorBase', 'itk::ImageShapeModelEstimatorBase', 'itkImageShapeModelEstimatorBaseIULL3IF3', True, 'itk::Image< unsigned long long,3 >, itk::Image< float,3 >'),
  ('ImageShapeModelEstimatorBase', 'itk::ImageShapeModelEstimatorBase', 'itkImageShapeModelEstimatorBaseIULL3ID3', True, 'itk::Image< unsigned long long,3 >, itk::Image< double,3 >'),
  ('ImageShapeModelEstimatorBase', 'itk::ImageShapeModelEstimatorBase', 'itkImageShapeModelEstimatorBaseIF3IF3', True, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('ImageShapeModelEstimatorBase', 'itk::ImageShapeModelEstimatorBase', 'itkImageShapeModelEstimatorBaseIF3ID3', True, 'itk::Image< float,3 >, itk::Image< double,3 >'),
  ('ImageShapeModelEstimatorBase', 'itk::ImageShapeModelEstimatorBase', 'itkImageShapeModelEstimatorBaseID3IF3', True, 'itk::Image< double,3 >, itk::Image< float,3 >'),
  ('ImageShapeModelEstimatorBase', 'itk::ImageShapeModelEstimatorBase', 'itkImageShapeModelEstimatorBaseID3ID3', True, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterISS2IUC2', True, 'itk::Image< signed short,2 >,itk::Image< unsigned char,2 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterISS2IULL2', True, 'itk::Image< signed short,2 >,itk::Image< unsigned long long,2 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterISS2ISS2', True, 'itk::Image< signed short,2 >,itk::Image< signed short,2 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterIUC2IUC2', True, 'itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterIUC2IULL2', True, 'itk::Image< unsigned char,2 >,itk::Image< unsigned long long,2 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterIUC2ISS2', True, 'itk::Image< unsigned char,2 >,itk::Image< signed short,2 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterIULL2IUC2', True, 'itk::Image< unsigned long long,2 >,itk::Image< unsigned char,2 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterIULL2IULL2', True, 'itk::Image< unsigned long long,2 >,itk::Image< unsigned long long,2 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterIULL2ISS2', True, 'itk::Image< unsigned long long,2 >,itk::Image< signed short,2 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterIF2IUC2', True, 'itk::Image< float,2 >,itk::Image< unsigned char,2 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterIF2IULL2', True, 'itk::Image< float,2 >,itk::Image< unsigned long long,2 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterIF2ISS2', True, 'itk::Image< float,2 >,itk::Image< signed short,2 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterID2IUC2', True, 'itk::Image< double,2 >,itk::Image< unsigned char,2 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterID2IULL2', True, 'itk::Image< double,2 >,itk::Image< unsigned long long,2 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterID2ISS2', True, 'itk::Image< double,2 >,itk::Image< signed short,2 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterISS3IUC3', True, 'itk::Image< signed short,3 >,itk::Image< unsigned char,3 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterISS3IULL3', True, 'itk::Image< signed short,3 >,itk::Image< unsigned long long,3 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterISS3ISS3', True, 'itk::Image< signed short,3 >,itk::Image< signed short,3 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterIUC3IUC3', True, 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterIUC3IULL3', True, 'itk::Image< unsigned char,3 >,itk::Image< unsigned long long,3 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterIUC3ISS3', True, 'itk::Image< unsigned char,3 >,itk::Image< signed short,3 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterIULL3IUC3', True, 'itk::Image< unsigned long long,3 >,itk::Image< unsigned char,3 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterIULL3IULL3', True, 'itk::Image< unsigned long long,3 >,itk::Image< unsigned long long,3 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterIULL3ISS3', True, 'itk::Image< unsigned long long,3 >,itk::Image< signed short,3 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterIF3IUC3', True, 'itk::Image< float,3 >,itk::Image< unsigned char,3 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterIF3IULL3', True, 'itk::Image< float,3 >,itk::Image< unsigned long long,3 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterIF3ISS3', True, 'itk::Image< float,3 >,itk::Image< signed short,3 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterID3IUC3', True, 'itk::Image< double,3 >,itk::Image< unsigned char,3 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterID3IULL3', True, 'itk::Image< double,3 >,itk::Image< unsigned long long,3 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterID3ISS3', True, 'itk::Image< double,3 >,itk::Image< signed short,3 >'),
  ('MaximumProjectionImageFilter', 'itk::MaximumProjectionImageFilter', 'itkMaximumProjectionImageFilterISS2ISS2', True, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('MaximumProjectionImageFilter', 'itk::MaximumProjectionImageFilter', 'itkMaximumProjectionImageFilterISS3ISS3', True, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('MaximumProjectionImageFilter', 'itk::MaximumProjectionImageFilter', 'itkMaximumProjectionImageFilterIUC2IUC2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('MaximumProjectionImageFilter', 'itk::MaximumProjectionImageFilter', 'itkMaximumProjectionImageFilterIUC3IUC3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('MaximumProjectionImageFilter', 'itk::MaximumProjectionImageFilter', 'itkMaximumProjectionImageFilterIULL2IULL2', True, 'itk::Image< unsigned long long,2 >, itk::Image< unsigned long long,2 >'),
  ('MaximumProjectionImageFilter', 'itk::MaximumProjectionImageFilter', 'itkMaximumProjectionImageFilterIULL3IULL3', True, 'itk::Image< unsigned long long,3 >, itk::Image< unsigned long long,3 >'),
  ('MaximumProjectionImageFilter', 'itk::MaximumProjectionImageFilter', 'itkMaximumProjectionImageFilterIF2IF2', True, 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('MaximumProjectionImageFilter', 'itk::MaximumProjectionImageFilter', 'itkMaximumProjectionImageFilterIF3IF3', True, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('MaximumProjectionImageFilter', 'itk::MaximumProjectionImageFilter', 'itkMaximumProjectionImageFilterID2ID2', True, 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('MaximumProjectionImageFilter', 'itk::MaximumProjectionImageFilter', 'itkMaximumProjectionImageFilterID3ID3', True, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('MaximumProjectionImageFilter', 'itk::MaximumProjectionImageFilter', 'itkMaximumProjectionImageFilterISS3ISS2', True, 'itk::Image< signed short,3 >,itk::Image< signed short,2 >'),
  ('MaximumProjectionImageFilter', 'itk::MaximumProjectionImageFilter', 'itkMaximumProjectionImageFilterIUC3IUC2', True, 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,2 >'),
  ('MaximumProjectionImageFilter', 'itk::MaximumProjectionImageFilter', 'itkMaximumProjectionImageFilterIULL3IULL2', True, 'itk::Image< unsigned long long,3 >,itk::Image< unsigned long long,2 >'),
  ('MaximumProjectionImageFilter', 'itk::MaximumProjectionImageFilter', 'itkMaximumProjectionImageFilterIF3IF2', True, 'itk::Image< float,3 >,itk::Image< float,2 >'),
  ('MaximumProjectionImageFilter', 'itk::MaximumProjectionImageFilter', 'itkMaximumProjectionImageFilterID3ID2', True, 'itk::Image< double,3 >,itk::Image< double,2 >'),
  ('MeanProjectionImageFilter', 'itk::MeanProjectionImageFilter', 'itkMeanProjectionImageFilterISS2ISS2', True, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('MeanProjectionImageFilter', 'itk::MeanProjectionImageFilter', 'itkMeanProjectionImageFilterISS3ISS3', True, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('MeanProjectionImageFilter', 'itk::MeanProjectionImageFilter', 'itkMeanProjectionImageFilterIUC2IUC2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('MeanProjectionImageFilter', 'itk::MeanProjectionImageFilter', 'itkMeanProjectionImageFilterIUC3IUC3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('MeanProjectionImageFilter', 'itk::MeanProjectionImageFilter', 'itkMeanProjectionImageFilterIULL2IULL2', True, 'itk::Image< unsigned long long,2 >, itk::Image< unsigned long long,2 >'),
  ('MeanProjectionImageFilter', 'itk::MeanProjectionImageFilter', 'itkMeanProjectionImageFilterIULL3IULL3', True, 'itk::Image< unsigned long long,3 >, itk::Image< unsigned long long,3 >'),
  ('MeanProjectionImageFilter', 'itk::MeanProjectionImageFilter', 'itkMeanProjectionImageFilterIF2IF2', True, 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('MeanProjectionImageFilter', 'itk::MeanProjectionImageFilter', 'itkMeanProjectionImageFilterIF3IF3', True, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('MeanProjectionImageFilter', 'itk::MeanProjectionImageFilter', 'itkMeanProjectionImageFilterID2ID2', True, 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('MeanProjectionImageFilter', 'itk::MeanProjectionImageFilter', 'itkMeanProjectionImageFilterID3ID3', True, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('MeanProjectionImageFilter', 'itk::MeanProjectionImageFilter', 'itkMeanProjectionImageFilterISS3ISS2', True, 'itk::Image< signed short,3 >,itk::Image< signed short,2 >'),
  ('MeanProjectionImageFilter', 'itk::MeanProjectionImageFilter', 'itkMeanProjectionImageFilterIUC3IUC2', True, 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,2 >'),
  ('MeanProjectionImageFilter', 'itk::MeanProjectionImageFilter', 'itkMeanProjectionImageFilterIULL3IULL2', True, 'itk::Image< unsigned long long,3 >,itk::Image< unsigned long long,2 >'),
  ('MeanProjectionImageFilter', 'itk::MeanProjectionImageFilter', 'itkMeanProjectionImageFilterIF3IF2', True, 'itk::Image< float,3 >,itk::Image< float,2 >'),
  ('MeanProjectionImageFilter', 'itk::MeanProjectionImageFilter', 'itkMeanProjectionImageFilterID3ID2', True, 'itk::Image< double,3 >,itk::Image< double,2 >'),
  ('MedianProjectionImageFilter', 'itk::MedianProjectionImageFilter', 'itkMedianProjectionImageFilterISS2ISS2', True, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('MedianProjectionImageFilter', 'itk::MedianProjectionImageFilter', 'itkMedianProjectionImageFilterISS3ISS3', True, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('MedianProjectionImageFilter', 'itk::MedianProjectionImageFilter', 'itkMedianProjectionImageFilterIUC2IUC2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('MedianProjectionImageFilter', 'itk::MedianProjectionImageFilter', 'itkMedianProjectionImageFilterIUC3IUC3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('MedianProjectionImageFilter', 'itk::MedianProjectionImageFilter', 'itkMedianProjectionImageFilterIULL2IULL2', True, 'itk::Image< unsigned long long,2 >, itk::Image< unsigned long long,2 >'),
  ('MedianProjectionImageFilter', 'itk::MedianProjectionImageFilter', 'itkMedianProjectionImageFilterIULL3IULL3', True, 'itk::Image< unsigned long long,3 >, itk::Image< unsigned long long,3 >'),
  ('MedianProjectionImageFilter', 'itk::MedianProjectionImageFilter', 'itkMedianProjectionImageFilterIF2IF2', True, 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('MedianProjectionImageFilter', 'itk::MedianProjectionImageFilter', 'itkMedianProjectionImageFilterIF3IF3', True, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('MedianProjectionImageFilter', 'itk::MedianProjectionImageFilter', 'itkMedianProjectionImageFilterID2ID2', True, 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('MedianProjectionImageFilter', 'itk::MedianProjectionImageFilter', 'itkMedianProjectionImageFilterID3ID3', True, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('MedianProjectionImageFilter', 'itk::MedianProjectionImageFilter', 'itkMedianProjectionImageFilterISS3ISS2', True, 'itk::Image< signed short,3 >,itk::Image< signed short,2 >'),
  ('MedianProjectionImageFilter', 'itk::MedianProjectionImageFilter', 'itkMedianProjectionImageFilterIUC3IUC2', True, 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,2 >'),
  ('MedianProjectionImageFilter', 'itk::MedianProjectionImageFilter', 'itkMedianProjectionImageFilterIULL3IULL2', True, 'itk::Image< unsigned long long,3 >,itk::Image< unsigned long long,2 >'),
  ('MedianProjectionImageFilter', 'itk::MedianProjectionImageFilter', 'itkMedianProjectionImageFilterIF3IF2', True, 'itk::Image< float,3 >,itk::Image< float,2 >'),
  ('MedianProjectionImageFilter', 'itk::MedianProjectionImageFilter', 'itkMedianProjectionImageFilterID3ID2', True, 'itk::Image< double,3 >,itk::Image< double,2 >'),
  ('MinimumMaximumImageFilter', 'itk::MinimumMaximumImageFilter', 'itkMinimumMaximumImageFilterISS2', True, 'itk::Image< signed short,2 >'),
  ('MinimumMaximumImageFilter', 'itk::MinimumMaximumImageFilter', 'itkMinimumMaximumImageFilterISS3', True, 'itk::Image< signed short,3 >'),
  ('MinimumMaximumImageFilter', 'itk::MinimumMaximumImageFilter', 'itkMinimumMaximumImageFilterIUC2', True, 'itk::Image< unsigned char,2 >'),
  ('MinimumMaximumImageFilter', 'itk::MinimumMaximumImageFilter', 'itkMinimumMaximumImageFilterIUC3', True, 'itk::Image< unsigned char,3 >'),
  ('MinimumMaximumImageFilter', 'itk::MinimumMaximumImageFilter', 'itkMinimumMaximumImageFilterIULL2', True, 'itk::Image< unsigned long long,2 >'),
  ('MinimumMaximumImageFilter', 'itk::MinimumMaximumImageFilter', 'itkMinimumMaximumImageFilterIULL3', True, 'itk::Image< unsigned long long,3 >'),
  ('MinimumMaximumImageFilter', 'itk::MinimumMaximumImageFilter', 'itkMinimumMaximumImageFilterIF2', True, 'itk::Image< float,2 >'),
  ('MinimumMaximumImageFilter', 'itk::MinimumMaximumImageFilter', 'itkMinimumMaximumImageFilterIF3', True, 'itk::Image< float,3 >'),
  ('MinimumMaximumImageFilter', 'itk::MinimumMaximumImageFilter', 'itkMinimumMaximumImageFilterID2', True, 'itk::Image< double,2 >'),
  ('MinimumMaximumImageFilter', 'itk::MinimumMaximumImageFilter', 'itkMinimumMaximumImageFilterID3', True, 'itk::Image< double,3 >'),
  ('MinimumProjectionImageFilter', 'itk::MinimumProjectionImageFilter', 'itkMinimumProjectionImageFilterISS2ISS2', True, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('MinimumProjectionImageFilter', 'itk::MinimumProjectionImageFilter', 'itkMinimumProjectionImageFilterISS3ISS3', True, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('MinimumProjectionImageFilter', 'itk::MinimumProjectionImageFilter', 'itkMinimumProjectionImageFilterIUC2IUC2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('MinimumProjectionImageFilter', 'itk::MinimumProjectionImageFilter', 'itkMinimumProjectionImageFilterIUC3IUC3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('MinimumProjectionImageFilter', 'itk::MinimumProjectionImageFilter', 'itkMinimumProjectionImageFilterIULL2IULL2', True, 'itk::Image< unsigned long long,2 >, itk::Image< unsigned long long,2 >'),
  ('MinimumProjectionImageFilter', 'itk::MinimumProjectionImageFilter', 'itkMinimumProjectionImageFilterIULL3IULL3', True, 'itk::Image< unsigned long long,3 >, itk::Image< unsigned long long,3 >'),
  ('MinimumProjectionImageFilter', 'itk::MinimumProjectionImageFilter', 'itkMinimumProjectionImageFilterIF2IF2', True, 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('MinimumProjectionImageFilter', 'itk::MinimumProjectionImageFilter', 'itkMinimumProjectionImageFilterIF3IF3', True, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('MinimumProjectionImageFilter', 'itk::MinimumProjectionImageFilter', 'itkMinimumProjectionImageFilterID2ID2', True, 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('MinimumProjectionImageFilter', 'itk::MinimumProjectionImageFilter', 'itkMinimumProjectionImageFilterID3ID3', True, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('MinimumProjectionImageFilter', 'itk::MinimumProjectionImageFilter', 'itkMinimumProjectionImageFilterISS3ISS2', True, 'itk::Image< signed short,3 >,itk::Image< signed short,2 >'),
  ('MinimumProjectionImageFilter', 'itk::MinimumProjectionImageFilter', 'itkMinimumProjectionImageFilterIUC3IUC2', True, 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,2 >'),
  ('MinimumProjectionImageFilter', 'itk::MinimumProjectionImageFilter', 'itkMinimumProjectionImageFilterIULL3IULL2', True, 'itk::Image< unsigned long long,3 >,itk::Image< unsigned long long,2 >'),
  ('MinimumProjectionImageFilter', 'itk::MinimumProjectionImageFilter', 'itkMinimumProjectionImageFilterIF3IF2', True, 'itk::Image< float,3 >,itk::Image< float,2 >'),
  ('MinimumProjectionImageFilter', 'itk::MinimumProjectionImageFilter', 'itkMinimumProjectionImageFilterID3ID2', True, 'itk::Image< double,3 >,itk::Image< double,2 >'),
  ('StandardDeviationProjectionImageFilter', 'itk::StandardDeviationProjectionImageFilter', 'itkStandardDeviationProjectionImageFilterISS2ISS2', True, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('StandardDeviationProjectionImageFilter', 'itk::StandardDeviationProjectionImageFilter', 'itkStandardDeviationProjectionImageFilterISS3ISS3', True, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('StandardDeviationProjectionImageFilter', 'itk::StandardDeviationProjectionImageFilter', 'itkStandardDeviationProjectionImageFilterIUC2IUC2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('StandardDeviationProjectionImageFilter', 'itk::StandardDeviationProjectionImageFilter', 'itkStandardDeviationProjectionImageFilterIUC3IUC3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('StandardDeviationProjectionImageFilter', 'itk::StandardDeviationProjectionImageFilter', 'itkStandardDeviationProjectionImageFilterIULL2IULL2', True, 'itk::Image< unsigned long long,2 >, itk::Image< unsigned long long,2 >'),
  ('StandardDeviationProjectionImageFilter', 'itk::StandardDeviationProjectionImageFilter', 'itkStandardDeviationProjectionImageFilterIULL3IULL3', True, 'itk::Image< unsigned long long,3 >, itk::Image< unsigned long long,3 >'),
  ('StandardDeviationProjectionImageFilter', 'itk::StandardDeviationProjectionImageFilter', 'itkStandardDeviationProjectionImageFilterIF2IF2', True, 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('StandardDeviationProjectionImageFilter', 'itk::StandardDeviationProjectionImageFilter', 'itkStandardDeviationProjectionImageFilterIF3IF3', True, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('StandardDeviationProjectionImageFilter', 'itk::StandardDeviationProjectionImageFilter', 'itkStandardDeviationProjectionImageFilterID2ID2', True, 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('StandardDeviationProjectionImageFilter', 'itk::StandardDeviationProjectionImageFilter', 'itkStandardDeviationProjectionImageFilterID3ID3', True, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('StandardDeviationProjectionImageFilter', 'itk::StandardDeviationProjectionImageFilter', 'itkStandardDeviationProjectionImageFilterISS3ISS2', True, 'itk::Image< signed short,3 >,itk::Image< signed short,2 >'),
  ('StandardDeviationProjectionImageFilter', 'itk::StandardDeviationProjectionImageFilter', 'itkStandardDeviationProjectionImageFilterIUC3IUC2', True, 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,2 >'),
  ('StandardDeviationProjectionImageFilter', 'itk::StandardDeviationProjectionImageFilter', 'itkStandardDeviationProjectionImageFilterIULL3IULL2', True, 'itk::Image< unsigned long long,3 >,itk::Image< unsigned long long,2 >'),
  ('StandardDeviationProjectionImageFilter', 'itk::StandardDeviationProjectionImageFilter', 'itkStandardDeviationProjectionImageFilterIF3IF2', True, 'itk::Image< float,3 >,itk::Image< float,2 >'),
  ('StandardDeviationProjectionImageFilter', 'itk::StandardDeviationProjectionImageFilter', 'itkStandardDeviationProjectionImageFilterID3ID2', True, 'itk::Image< double,3 >,itk::Image< double,2 >'),
  ('StatisticsImageFilter', 'itk::StatisticsImageFilter', 'itkStatisticsImageFilterISS2', True, 'itk::Image< signed short,2 >'),
  ('StatisticsImageFilter', 'itk::StatisticsImageFilter', 'itkStatisticsImageFilterISS3', True, 'itk::Image< signed short,3 >'),
  ('StatisticsImageFilter', 'itk::StatisticsImageFilter', 'itkStatisticsImageFilterIUC2', True, 'itk::Image< unsigned char,2 >'),
  ('StatisticsImageFilter', 'itk::StatisticsImageFilter', 'itkStatisticsImageFilterIUC3', True, 'itk::Image< unsigned char,3 >'),
  ('StatisticsImageFilter', 'itk::StatisticsImageFilter', 'itkStatisticsImageFilterIULL2', True, 'itk::Image< unsigned long long,2 >'),
  ('StatisticsImageFilter', 'itk::StatisticsImageFilter', 'itkStatisticsImageFilterIULL3', True, 'itk::Image< unsigned long long,3 >'),
  ('StatisticsImageFilter', 'itk::StatisticsImageFilter', 'itkStatisticsImageFilterIF2', True, 'itk::Image< float,2 >'),
  ('StatisticsImageFilter', 'itk::StatisticsImageFilter', 'itkStatisticsImageFilterIF3', True, 'itk::Image< float,3 >'),
  ('StatisticsImageFilter', 'itk::StatisticsImageFilter', 'itkStatisticsImageFilterID2', True, 'itk::Image< double,2 >'),
  ('StatisticsImageFilter', 'itk::StatisticsImageFilter', 'itkStatisticsImageFilterID3', True, 'itk::Image< double,3 >'),
  ('SumProjectionImageFilter', 'itk::SumProjectionImageFilter', 'itkSumProjectionImageFilterISS2ISS2', True, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('SumProjectionImageFilter', 'itk::SumProjectionImageFilter', 'itkSumProjectionImageFilterISS3ISS3', True, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('SumProjectionImageFilter', 'itk::SumProjectionImageFilter', 'itkSumProjectionImageFilterIUC2IUC2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('SumProjectionImageFilter', 'itk::SumProjectionImageFilter', 'itkSumProjectionImageFilterIUC3IUC3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('SumProjectionImageFilter', 'itk::SumProjectionImageFilter', 'itkSumProjectionImageFilterIULL2IULL2', True, 'itk::Image< unsigned long long,2 >, itk::Image< unsigned long long,2 >'),
  ('SumProjectionImageFilter', 'itk::SumProjectionImageFilter', 'itkSumProjectionImageFilterIULL3IULL3', True, 'itk::Image< unsigned long long,3 >, itk::Image< unsigned long long,3 >'),
  ('SumProjectionImageFilter', 'itk::SumProjectionImageFilter', 'itkSumProjectionImageFilterIF2IF2', True, 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SumProjectionImageFilter', 'itk::SumProjectionImageFilter', 'itkSumProjectionImageFilterIF3IF3', True, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SumProjectionImageFilter', 'itk::SumProjectionImageFilter', 'itkSumProjectionImageFilterID2ID2', True, 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('SumProjectionImageFilter', 'itk::SumProjectionImageFilter', 'itkSumProjectionImageFilterID3ID3', True, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('SumProjectionImageFilter', 'itk::SumProjectionImageFilter', 'itkSumProjectionImageFilterISS3ISS2', True, 'itk::Image< signed short,3 >,itk::Image< signed short,2 >'),
  ('SumProjectionImageFilter', 'itk::SumProjectionImageFilter', 'itkSumProjectionImageFilterIUC3IUC2', True, 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,2 >'),
  ('SumProjectionImageFilter', 'itk::SumProjectionImageFilter', 'itkSumProjectionImageFilterIULL3IULL2', True, 'itk::Image< unsigned long long,3 >,itk::Image< unsigned long long,2 >'),
  ('SumProjectionImageFilter', 'itk::SumProjectionImageFilter', 'itkSumProjectionImageFilterIF3IF2', True, 'itk::Image< float,3 >,itk::Image< float,2 >'),
  ('SumProjectionImageFilter', 'itk::SumProjectionImageFilter', 'itkSumProjectionImageFilterID3ID2', True, 'itk::Image< double,3 >,itk::Image< double,2 >'),
)
