depends = ('ITKPyBase', 'ITKTransform', 'ITKStatistics', )
templates = (
  ('LabelObjectLine', 'itk::LabelObjectLine', 'itkLabelObjectLine2', True, '2'),
  ('LabelObjectLine', 'itk::LabelObjectLine', 'itkLabelObjectLine3', True, '3'),
  ('LabelObject', 'itk::LabelObject', 'itkLabelObjectUL2', True, 'unsigned long,2'),
  ('LabelObject', 'itk::LabelObject', 'itkLabelObjectUL3', True, 'unsigned long,3'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayPD24', False, 'itk::Point<double, 2>, 4'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayPD38', False, 'itk::Point<double, 3>, 8'),
  ('ShapeLabelObject', 'itk::ShapeLabelObject', 'itkShapeLabelObjectUL2', True, 'unsigned long,2'),
  ('ShapeLabelObject', 'itk::ShapeLabelObject', 'itkShapeLabelObjectUL3', True, 'unsigned long,3'),
  ('StatisticsLabelObject', 'itk::StatisticsLabelObject', 'itkStatisticsLabelObjectUL2', True, 'unsigned long,2'),
  ('map', 'std::map', 'mapitkStatisticsLabelObjectUL2', False, 'unsigned long, itk::StatisticsLabelObject< unsigned long,2  >'),
  ('vector', 'std::vector', 'vectoritkStatisticsLabelObjectUL2', False, 'itk::StatisticsLabelObject< unsigned long,2  >'),
  ('StatisticsLabelObject', 'itk::StatisticsLabelObject', 'itkStatisticsLabelObjectUL3', True, 'unsigned long,3'),
  ('map', 'std::map', 'mapitkStatisticsLabelObjectUL3', False, 'unsigned long, itk::StatisticsLabelObject< unsigned long,3  >'),
  ('vector', 'std::vector', 'vectoritkStatisticsLabelObjectUL3', False, 'itk::StatisticsLabelObject< unsigned long,3  >'),
  ('LabelMap', 'itk::LabelMap', 'itkLabelMap2', True, 'itk::StatisticsLabelObject< unsigned long, 2 >'),
  ('LabelMap', 'itk::LabelMap', 'itkLabelMap3', True, 'itk::StatisticsLabelObject< unsigned long, 3 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceLM2', False, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceLM3', False, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterLM2LM2', False, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterISS2LM2', False, 'itk::Image< signed short,2 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterLM2ISS2', False, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >, itk::Image< signed short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC2LM2', False, 'itk::Image< unsigned char,2 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterLM2IUC2', False, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >, itk::Image< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIULL2LM2', False, 'itk::Image< unsigned long long,2 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterLM2IULL2', False, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >, itk::Image< unsigned long long,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF2LM2', False, 'itk::Image< float,2 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterLM2IF2', False, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >, itk::Image< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterID2LM2', False, 'itk::Image< double,2 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterLM2ID2', False, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >, itk::Image< double,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterLM2IRGBUC2', False, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >, itk::Image< itk::RGBPixel< unsigned char >,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterLM3LM3', False, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterISS3LM3', False, 'itk::Image< signed short,3 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterLM3ISS3', False, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >, itk::Image< signed short,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC3LM3', False, 'itk::Image< unsigned char,3 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterLM3IUC3', False, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >, itk::Image< unsigned char,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIULL3LM3', False, 'itk::Image< unsigned long long,3 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterLM3IULL3', False, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >, itk::Image< unsigned long long,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF3LM3', False, 'itk::Image< float,3 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterLM3IF3', False, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >, itk::Image< float,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterID3LM3', False, 'itk::Image< double,3 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterLM3ID3', False, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >, itk::Image< double,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterLM3IRGBUC3', False, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >, itk::Image< itk::RGBPixel< unsigned char >,3 >'),
  ('LabelMapFilter', 'itk::LabelMapFilter', 'itkLabelMapFilterLM2LM2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('LabelMapFilter', 'itk::LabelMapFilter', 'itkLabelMapFilterLM2ISS2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >, itk::Image< signed short,2 >'),
  ('LabelMapFilter', 'itk::LabelMapFilter', 'itkLabelMapFilterLM2IUC2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >, itk::Image< unsigned char,2 >'),
  ('LabelMapFilter', 'itk::LabelMapFilter', 'itkLabelMapFilterLM2IULL2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >, itk::Image< unsigned long long,2 >'),
  ('LabelMapFilter', 'itk::LabelMapFilter', 'itkLabelMapFilterLM2IF2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >, itk::Image< float,2 >'),
  ('LabelMapFilter', 'itk::LabelMapFilter', 'itkLabelMapFilterLM2ID2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >, itk::Image< double,2 >'),
  ('LabelMapFilter', 'itk::LabelMapFilter', 'itkLabelMapFilterLM2IRGBUC2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >, itk::Image< itk::RGBPixel< unsigned char >,2 >'),
  ('LabelMapFilter', 'itk::LabelMapFilter', 'itkLabelMapFilterLM3LM3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('LabelMapFilter', 'itk::LabelMapFilter', 'itkLabelMapFilterLM3ISS3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >, itk::Image< signed short,3 >'),
  ('LabelMapFilter', 'itk::LabelMapFilter', 'itkLabelMapFilterLM3IUC3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >, itk::Image< unsigned char,3 >'),
  ('LabelMapFilter', 'itk::LabelMapFilter', 'itkLabelMapFilterLM3IULL3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >, itk::Image< unsigned long long,3 >'),
  ('LabelMapFilter', 'itk::LabelMapFilter', 'itkLabelMapFilterLM3IF3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >, itk::Image< float,3 >'),
  ('LabelMapFilter', 'itk::LabelMapFilter', 'itkLabelMapFilterLM3ID3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >, itk::Image< double,3 >'),
  ('LabelMapFilter', 'itk::LabelMapFilter', 'itkLabelMapFilterLM3IRGBUC3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >, itk::Image< itk::RGBPixel< unsigned char >,3 >'),
  ('InPlaceLabelMapFilter', 'itk::InPlaceLabelMapFilter', 'itkInPlaceLabelMapFilterLM2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('InPlaceLabelMapFilter', 'itk::InPlaceLabelMapFilter', 'itkInPlaceLabelMapFilterLM3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('ChangeRegionLabelMapFilter', 'itk::ChangeRegionLabelMapFilter', 'itkChangeRegionLabelMapFilterLM2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('ChangeRegionLabelMapFilter', 'itk::ChangeRegionLabelMapFilter', 'itkChangeRegionLabelMapFilterLM3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('AggregateLabelMapFilter', 'itk::AggregateLabelMapFilter', 'itkAggregateLabelMapFilterLM2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('AggregateLabelMapFilter', 'itk::AggregateLabelMapFilter', 'itkAggregateLabelMapFilterLM3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('AutoCropLabelMapFilter', 'itk::AutoCropLabelMapFilter', 'itkAutoCropLabelMapFilterLM2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('AutoCropLabelMapFilter', 'itk::AutoCropLabelMapFilter', 'itkAutoCropLabelMapFilterLM3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('BinaryFillholeImageFilter', 'itk::BinaryFillholeImageFilter', 'itkBinaryFillholeImageFilterISS2', True, 'itk::Image< signed short,2 >'),
  ('BinaryFillholeImageFilter', 'itk::BinaryFillholeImageFilter', 'itkBinaryFillholeImageFilterISS3', True, 'itk::Image< signed short,3 >'),
  ('BinaryFillholeImageFilter', 'itk::BinaryFillholeImageFilter', 'itkBinaryFillholeImageFilterIUC2', True, 'itk::Image< unsigned char,2 >'),
  ('BinaryFillholeImageFilter', 'itk::BinaryFillholeImageFilter', 'itkBinaryFillholeImageFilterIUC3', True, 'itk::Image< unsigned char,3 >'),
  ('BinaryFillholeImageFilter', 'itk::BinaryFillholeImageFilter', 'itkBinaryFillholeImageFilterIULL2', True, 'itk::Image< unsigned long long,2 >'),
  ('BinaryFillholeImageFilter', 'itk::BinaryFillholeImageFilter', 'itkBinaryFillholeImageFilterIULL3', True, 'itk::Image< unsigned long long,3 >'),
  ('BinaryGrindPeakImageFilter', 'itk::BinaryGrindPeakImageFilter', 'itkBinaryGrindPeakImageFilterISS2', True, 'itk::Image< signed short,2 >'),
  ('BinaryGrindPeakImageFilter', 'itk::BinaryGrindPeakImageFilter', 'itkBinaryGrindPeakImageFilterISS3', True, 'itk::Image< signed short,3 >'),
  ('BinaryGrindPeakImageFilter', 'itk::BinaryGrindPeakImageFilter', 'itkBinaryGrindPeakImageFilterIUC2', True, 'itk::Image< unsigned char,2 >'),
  ('BinaryGrindPeakImageFilter', 'itk::BinaryGrindPeakImageFilter', 'itkBinaryGrindPeakImageFilterIUC3', True, 'itk::Image< unsigned char,3 >'),
  ('BinaryGrindPeakImageFilter', 'itk::BinaryGrindPeakImageFilter', 'itkBinaryGrindPeakImageFilterIULL2', True, 'itk::Image< unsigned long long,2 >'),
  ('BinaryGrindPeakImageFilter', 'itk::BinaryGrindPeakImageFilter', 'itkBinaryGrindPeakImageFilterIULL3', True, 'itk::Image< unsigned long long,3 >'),
  ('BinaryImageToLabelMapFilter', 'itk::BinaryImageToLabelMapFilter', 'itkBinaryImageToLabelMapFilterIUC2LM2', True, 'itk::Image< unsigned char,2 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('BinaryImageToLabelMapFilter', 'itk::BinaryImageToLabelMapFilter', 'itkBinaryImageToLabelMapFilterIUC3LM3', True, 'itk::Image< unsigned char,3 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('BinaryImageToLabelMapFilter', 'itk::BinaryImageToLabelMapFilter', 'itkBinaryImageToLabelMapFilterIULL2LM2', True, 'itk::Image< unsigned long long,2 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('BinaryImageToLabelMapFilter', 'itk::BinaryImageToLabelMapFilter', 'itkBinaryImageToLabelMapFilterIULL3LM3', True, 'itk::Image< unsigned long long,3 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('BinaryImageToShapeLabelMapFilter', 'itk::BinaryImageToShapeLabelMapFilter', 'itkBinaryImageToShapeLabelMapFilterIUC2LM2', True, 'itk::Image< unsigned char,2 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('BinaryImageToShapeLabelMapFilter', 'itk::BinaryImageToShapeLabelMapFilter', 'itkBinaryImageToShapeLabelMapFilterIUC3LM3', True, 'itk::Image< unsigned char,3 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('BinaryImageToShapeLabelMapFilter', 'itk::BinaryImageToShapeLabelMapFilter', 'itkBinaryImageToShapeLabelMapFilterIULL2LM2', True, 'itk::Image< unsigned long long,2 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('BinaryImageToShapeLabelMapFilter', 'itk::BinaryImageToShapeLabelMapFilter', 'itkBinaryImageToShapeLabelMapFilterIULL3LM3', True, 'itk::Image< unsigned long long,3 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('BinaryImageToStatisticsLabelMapFilter', 'itk::BinaryImageToStatisticsLabelMapFilter', 'itkBinaryImageToStatisticsLabelMapFilterIUC2ISS2LM2', True, 'itk::Image< unsigned char,2 >, itk::Image< signed short,2 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('BinaryImageToStatisticsLabelMapFilter', 'itk::BinaryImageToStatisticsLabelMapFilter', 'itkBinaryImageToStatisticsLabelMapFilterIUC3ISS3LM3', True, 'itk::Image< unsigned char,3 >, itk::Image< signed short,3 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('BinaryImageToStatisticsLabelMapFilter', 'itk::BinaryImageToStatisticsLabelMapFilter', 'itkBinaryImageToStatisticsLabelMapFilterIUC2IUC2LM2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('BinaryImageToStatisticsLabelMapFilter', 'itk::BinaryImageToStatisticsLabelMapFilter', 'itkBinaryImageToStatisticsLabelMapFilterIUC3IUC3LM3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('BinaryImageToStatisticsLabelMapFilter', 'itk::BinaryImageToStatisticsLabelMapFilter', 'itkBinaryImageToStatisticsLabelMapFilterIUC2IULL2LM2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned long long,2 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('BinaryImageToStatisticsLabelMapFilter', 'itk::BinaryImageToStatisticsLabelMapFilter', 'itkBinaryImageToStatisticsLabelMapFilterIUC3IULL3LM3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned long long,3 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('BinaryImageToStatisticsLabelMapFilter', 'itk::BinaryImageToStatisticsLabelMapFilter', 'itkBinaryImageToStatisticsLabelMapFilterIUC2IF2LM2', True, 'itk::Image< unsigned char,2 >, itk::Image< float,2 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('BinaryImageToStatisticsLabelMapFilter', 'itk::BinaryImageToStatisticsLabelMapFilter', 'itkBinaryImageToStatisticsLabelMapFilterIUC3IF3LM3', True, 'itk::Image< unsigned char,3 >, itk::Image< float,3 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('BinaryImageToStatisticsLabelMapFilter', 'itk::BinaryImageToStatisticsLabelMapFilter', 'itkBinaryImageToStatisticsLabelMapFilterIUC2ID2LM2', True, 'itk::Image< unsigned char,2 >, itk::Image< double,2 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('BinaryImageToStatisticsLabelMapFilter', 'itk::BinaryImageToStatisticsLabelMapFilter', 'itkBinaryImageToStatisticsLabelMapFilterIUC3ID3LM3', True, 'itk::Image< unsigned char,3 >, itk::Image< double,3 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('BinaryImageToStatisticsLabelMapFilter', 'itk::BinaryImageToStatisticsLabelMapFilter', 'itkBinaryImageToStatisticsLabelMapFilterIULL2ISS2LM2', True, 'itk::Image< unsigned long long,2 >, itk::Image< signed short,2 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('BinaryImageToStatisticsLabelMapFilter', 'itk::BinaryImageToStatisticsLabelMapFilter', 'itkBinaryImageToStatisticsLabelMapFilterIULL3ISS3LM3', True, 'itk::Image< unsigned long long,3 >, itk::Image< signed short,3 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('BinaryImageToStatisticsLabelMapFilter', 'itk::BinaryImageToStatisticsLabelMapFilter', 'itkBinaryImageToStatisticsLabelMapFilterIULL2IUC2LM2', True, 'itk::Image< unsigned long long,2 >, itk::Image< unsigned char,2 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('BinaryImageToStatisticsLabelMapFilter', 'itk::BinaryImageToStatisticsLabelMapFilter', 'itkBinaryImageToStatisticsLabelMapFilterIULL3IUC3LM3', True, 'itk::Image< unsigned long long,3 >, itk::Image< unsigned char,3 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('BinaryImageToStatisticsLabelMapFilter', 'itk::BinaryImageToStatisticsLabelMapFilter', 'itkBinaryImageToStatisticsLabelMapFilterIULL2IULL2LM2', True, 'itk::Image< unsigned long long,2 >, itk::Image< unsigned long long,2 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('BinaryImageToStatisticsLabelMapFilter', 'itk::BinaryImageToStatisticsLabelMapFilter', 'itkBinaryImageToStatisticsLabelMapFilterIULL3IULL3LM3', True, 'itk::Image< unsigned long long,3 >, itk::Image< unsigned long long,3 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('BinaryImageToStatisticsLabelMapFilter', 'itk::BinaryImageToStatisticsLabelMapFilter', 'itkBinaryImageToStatisticsLabelMapFilterIULL2IF2LM2', True, 'itk::Image< unsigned long long,2 >, itk::Image< float,2 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('BinaryImageToStatisticsLabelMapFilter', 'itk::BinaryImageToStatisticsLabelMapFilter', 'itkBinaryImageToStatisticsLabelMapFilterIULL3IF3LM3', True, 'itk::Image< unsigned long long,3 >, itk::Image< float,3 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('BinaryImageToStatisticsLabelMapFilter', 'itk::BinaryImageToStatisticsLabelMapFilter', 'itkBinaryImageToStatisticsLabelMapFilterIULL2ID2LM2', True, 'itk::Image< unsigned long long,2 >, itk::Image< double,2 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('BinaryImageToStatisticsLabelMapFilter', 'itk::BinaryImageToStatisticsLabelMapFilter', 'itkBinaryImageToStatisticsLabelMapFilterIULL3ID3LM3', True, 'itk::Image< unsigned long long,3 >, itk::Image< double,3 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('BinaryNotImageFilter', 'itk::BinaryNotImageFilter', 'itkBinaryNotImageFilterISS2', True, 'itk::Image< signed short,2 >'),
  ('BinaryNotImageFilter', 'itk::BinaryNotImageFilter', 'itkBinaryNotImageFilterISS3', True, 'itk::Image< signed short,3 >'),
  ('BinaryNotImageFilter', 'itk::BinaryNotImageFilter', 'itkBinaryNotImageFilterIUC2', True, 'itk::Image< unsigned char,2 >'),
  ('BinaryNotImageFilter', 'itk::BinaryNotImageFilter', 'itkBinaryNotImageFilterIUC3', True, 'itk::Image< unsigned char,3 >'),
  ('BinaryNotImageFilter', 'itk::BinaryNotImageFilter', 'itkBinaryNotImageFilterIULL2', True, 'itk::Image< unsigned long long,2 >'),
  ('BinaryNotImageFilter', 'itk::BinaryNotImageFilter', 'itkBinaryNotImageFilterIULL3', True, 'itk::Image< unsigned long long,3 >'),
  ('BinaryReconstructionByDilationImageFilter', 'itk::BinaryReconstructionByDilationImageFilter', 'itkBinaryReconstructionByDilationImageFilterISS2', True, 'itk::Image< signed short,2 >'),
  ('BinaryReconstructionByDilationImageFilter', 'itk::BinaryReconstructionByDilationImageFilter', 'itkBinaryReconstructionByDilationImageFilterISS3', True, 'itk::Image< signed short,3 >'),
  ('BinaryReconstructionByDilationImageFilter', 'itk::BinaryReconstructionByDilationImageFilter', 'itkBinaryReconstructionByDilationImageFilterIUC2', True, 'itk::Image< unsigned char,2 >'),
  ('BinaryReconstructionByDilationImageFilter', 'itk::BinaryReconstructionByDilationImageFilter', 'itkBinaryReconstructionByDilationImageFilterIUC3', True, 'itk::Image< unsigned char,3 >'),
  ('BinaryReconstructionByDilationImageFilter', 'itk::BinaryReconstructionByDilationImageFilter', 'itkBinaryReconstructionByDilationImageFilterIULL2', True, 'itk::Image< unsigned long long,2 >'),
  ('BinaryReconstructionByDilationImageFilter', 'itk::BinaryReconstructionByDilationImageFilter', 'itkBinaryReconstructionByDilationImageFilterIULL3', True, 'itk::Image< unsigned long long,3 >'),
  ('BinaryReconstructionByErosionImageFilter', 'itk::BinaryReconstructionByErosionImageFilter', 'itkBinaryReconstructionByErosionImageFilterISS2', True, 'itk::Image< signed short,2 >'),
  ('BinaryReconstructionByErosionImageFilter', 'itk::BinaryReconstructionByErosionImageFilter', 'itkBinaryReconstructionByErosionImageFilterISS3', True, 'itk::Image< signed short,3 >'),
  ('BinaryReconstructionByErosionImageFilter', 'itk::BinaryReconstructionByErosionImageFilter', 'itkBinaryReconstructionByErosionImageFilterIUC2', True, 'itk::Image< unsigned char,2 >'),
  ('BinaryReconstructionByErosionImageFilter', 'itk::BinaryReconstructionByErosionImageFilter', 'itkBinaryReconstructionByErosionImageFilterIUC3', True, 'itk::Image< unsigned char,3 >'),
  ('BinaryReconstructionByErosionImageFilter', 'itk::BinaryReconstructionByErosionImageFilter', 'itkBinaryReconstructionByErosionImageFilterIULL2', True, 'itk::Image< unsigned long long,2 >'),
  ('BinaryReconstructionByErosionImageFilter', 'itk::BinaryReconstructionByErosionImageFilter', 'itkBinaryReconstructionByErosionImageFilterIULL3', True, 'itk::Image< unsigned long long,3 >'),
  ('BinaryShapeKeepNObjectsImageFilter', 'itk::BinaryShapeKeepNObjectsImageFilter', 'itkBinaryShapeKeepNObjectsImageFilterISS2', True, 'itk::Image< signed short,2 >'),
  ('BinaryShapeKeepNObjectsImageFilter', 'itk::BinaryShapeKeepNObjectsImageFilter', 'itkBinaryShapeKeepNObjectsImageFilterISS3', True, 'itk::Image< signed short,3 >'),
  ('BinaryShapeKeepNObjectsImageFilter', 'itk::BinaryShapeKeepNObjectsImageFilter', 'itkBinaryShapeKeepNObjectsImageFilterIUC2', True, 'itk::Image< unsigned char,2 >'),
  ('BinaryShapeKeepNObjectsImageFilter', 'itk::BinaryShapeKeepNObjectsImageFilter', 'itkBinaryShapeKeepNObjectsImageFilterIUC3', True, 'itk::Image< unsigned char,3 >'),
  ('BinaryShapeKeepNObjectsImageFilter', 'itk::BinaryShapeKeepNObjectsImageFilter', 'itkBinaryShapeKeepNObjectsImageFilterIULL2', True, 'itk::Image< unsigned long long,2 >'),
  ('BinaryShapeKeepNObjectsImageFilter', 'itk::BinaryShapeKeepNObjectsImageFilter', 'itkBinaryShapeKeepNObjectsImageFilterIULL3', True, 'itk::Image< unsigned long long,3 >'),
  ('BinaryShapeOpeningImageFilter', 'itk::BinaryShapeOpeningImageFilter', 'itkBinaryShapeOpeningImageFilterISS2', True, 'itk::Image< signed short,2 >'),
  ('BinaryShapeOpeningImageFilter', 'itk::BinaryShapeOpeningImageFilter', 'itkBinaryShapeOpeningImageFilterISS3', True, 'itk::Image< signed short,3 >'),
  ('BinaryShapeOpeningImageFilter', 'itk::BinaryShapeOpeningImageFilter', 'itkBinaryShapeOpeningImageFilterIUC2', True, 'itk::Image< unsigned char,2 >'),
  ('BinaryShapeOpeningImageFilter', 'itk::BinaryShapeOpeningImageFilter', 'itkBinaryShapeOpeningImageFilterIUC3', True, 'itk::Image< unsigned char,3 >'),
  ('BinaryShapeOpeningImageFilter', 'itk::BinaryShapeOpeningImageFilter', 'itkBinaryShapeOpeningImageFilterIULL2', True, 'itk::Image< unsigned long long,2 >'),
  ('BinaryShapeOpeningImageFilter', 'itk::BinaryShapeOpeningImageFilter', 'itkBinaryShapeOpeningImageFilterIULL3', True, 'itk::Image< unsigned long long,3 >'),
  ('BinaryStatisticsKeepNObjectsImageFilter', 'itk::BinaryStatisticsKeepNObjectsImageFilter', 'itkBinaryStatisticsKeepNObjectsImageFilterIUC2ISS2', True, 'itk::Image< unsigned char,2 >,itk::Image< signed short,2 >'),
  ('BinaryStatisticsKeepNObjectsImageFilter', 'itk::BinaryStatisticsKeepNObjectsImageFilter', 'itkBinaryStatisticsKeepNObjectsImageFilterIULL2ISS2', True, 'itk::Image< unsigned long long,2 >,itk::Image< signed short,2 >'),
  ('BinaryStatisticsKeepNObjectsImageFilter', 'itk::BinaryStatisticsKeepNObjectsImageFilter', 'itkBinaryStatisticsKeepNObjectsImageFilterIUC2IUC2', True, 'itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >'),
  ('BinaryStatisticsKeepNObjectsImageFilter', 'itk::BinaryStatisticsKeepNObjectsImageFilter', 'itkBinaryStatisticsKeepNObjectsImageFilterIULL2IUC2', True, 'itk::Image< unsigned long long,2 >,itk::Image< unsigned char,2 >'),
  ('BinaryStatisticsKeepNObjectsImageFilter', 'itk::BinaryStatisticsKeepNObjectsImageFilter', 'itkBinaryStatisticsKeepNObjectsImageFilterIUC2IULL2', True, 'itk::Image< unsigned char,2 >,itk::Image< unsigned long long,2 >'),
  ('BinaryStatisticsKeepNObjectsImageFilter', 'itk::BinaryStatisticsKeepNObjectsImageFilter', 'itkBinaryStatisticsKeepNObjectsImageFilterIULL2IULL2', True, 'itk::Image< unsigned long long,2 >,itk::Image< unsigned long long,2 >'),
  ('BinaryStatisticsKeepNObjectsImageFilter', 'itk::BinaryStatisticsKeepNObjectsImageFilter', 'itkBinaryStatisticsKeepNObjectsImageFilterIUC2IF2', True, 'itk::Image< unsigned char,2 >,itk::Image< float,2 >'),
  ('BinaryStatisticsKeepNObjectsImageFilter', 'itk::BinaryStatisticsKeepNObjectsImageFilter', 'itkBinaryStatisticsKeepNObjectsImageFilterIULL2IF2', True, 'itk::Image< unsigned long long,2 >,itk::Image< float,2 >'),
  ('BinaryStatisticsKeepNObjectsImageFilter', 'itk::BinaryStatisticsKeepNObjectsImageFilter', 'itkBinaryStatisticsKeepNObjectsImageFilterIUC2ID2', True, 'itk::Image< unsigned char,2 >,itk::Image< double,2 >'),
  ('BinaryStatisticsKeepNObjectsImageFilter', 'itk::BinaryStatisticsKeepNObjectsImageFilter', 'itkBinaryStatisticsKeepNObjectsImageFilterIULL2ID2', True, 'itk::Image< unsigned long long,2 >,itk::Image< double,2 >'),
  ('BinaryStatisticsKeepNObjectsImageFilter', 'itk::BinaryStatisticsKeepNObjectsImageFilter', 'itkBinaryStatisticsKeepNObjectsImageFilterIUC3ISS3', True, 'itk::Image< unsigned char,3 >,itk::Image< signed short,3 >'),
  ('BinaryStatisticsKeepNObjectsImageFilter', 'itk::BinaryStatisticsKeepNObjectsImageFilter', 'itkBinaryStatisticsKeepNObjectsImageFilterIULL3ISS3', True, 'itk::Image< unsigned long long,3 >,itk::Image< signed short,3 >'),
  ('BinaryStatisticsKeepNObjectsImageFilter', 'itk::BinaryStatisticsKeepNObjectsImageFilter', 'itkBinaryStatisticsKeepNObjectsImageFilterIUC3IUC3', True, 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >'),
  ('BinaryStatisticsKeepNObjectsImageFilter', 'itk::BinaryStatisticsKeepNObjectsImageFilter', 'itkBinaryStatisticsKeepNObjectsImageFilterIULL3IUC3', True, 'itk::Image< unsigned long long,3 >,itk::Image< unsigned char,3 >'),
  ('BinaryStatisticsKeepNObjectsImageFilter', 'itk::BinaryStatisticsKeepNObjectsImageFilter', 'itkBinaryStatisticsKeepNObjectsImageFilterIUC3IULL3', True, 'itk::Image< unsigned char,3 >,itk::Image< unsigned long long,3 >'),
  ('BinaryStatisticsKeepNObjectsImageFilter', 'itk::BinaryStatisticsKeepNObjectsImageFilter', 'itkBinaryStatisticsKeepNObjectsImageFilterIULL3IULL3', True, 'itk::Image< unsigned long long,3 >,itk::Image< unsigned long long,3 >'),
  ('BinaryStatisticsKeepNObjectsImageFilter', 'itk::BinaryStatisticsKeepNObjectsImageFilter', 'itkBinaryStatisticsKeepNObjectsImageFilterIUC3IF3', True, 'itk::Image< unsigned char,3 >,itk::Image< float,3 >'),
  ('BinaryStatisticsKeepNObjectsImageFilter', 'itk::BinaryStatisticsKeepNObjectsImageFilter', 'itkBinaryStatisticsKeepNObjectsImageFilterIULL3IF3', True, 'itk::Image< unsigned long long,3 >,itk::Image< float,3 >'),
  ('BinaryStatisticsKeepNObjectsImageFilter', 'itk::BinaryStatisticsKeepNObjectsImageFilter', 'itkBinaryStatisticsKeepNObjectsImageFilterIUC3ID3', True, 'itk::Image< unsigned char,3 >,itk::Image< double,3 >'),
  ('BinaryStatisticsKeepNObjectsImageFilter', 'itk::BinaryStatisticsKeepNObjectsImageFilter', 'itkBinaryStatisticsKeepNObjectsImageFilterIULL3ID3', True, 'itk::Image< unsigned long long,3 >,itk::Image< double,3 >'),
  ('BinaryStatisticsOpeningImageFilter', 'itk::BinaryStatisticsOpeningImageFilter', 'itkBinaryStatisticsOpeningImageFilterIUC2ISS2', True, 'itk::Image< unsigned char,2 >,itk::Image< signed short,2 >'),
  ('BinaryStatisticsOpeningImageFilter', 'itk::BinaryStatisticsOpeningImageFilter', 'itkBinaryStatisticsOpeningImageFilterIULL2ISS2', True, 'itk::Image< unsigned long long,2 >,itk::Image< signed short,2 >'),
  ('BinaryStatisticsOpeningImageFilter', 'itk::BinaryStatisticsOpeningImageFilter', 'itkBinaryStatisticsOpeningImageFilterIUC2IUC2', True, 'itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >'),
  ('BinaryStatisticsOpeningImageFilter', 'itk::BinaryStatisticsOpeningImageFilter', 'itkBinaryStatisticsOpeningImageFilterIULL2IUC2', True, 'itk::Image< unsigned long long,2 >,itk::Image< unsigned char,2 >'),
  ('BinaryStatisticsOpeningImageFilter', 'itk::BinaryStatisticsOpeningImageFilter', 'itkBinaryStatisticsOpeningImageFilterIUC2IULL2', True, 'itk::Image< unsigned char,2 >,itk::Image< unsigned long long,2 >'),
  ('BinaryStatisticsOpeningImageFilter', 'itk::BinaryStatisticsOpeningImageFilter', 'itkBinaryStatisticsOpeningImageFilterIULL2IULL2', True, 'itk::Image< unsigned long long,2 >,itk::Image< unsigned long long,2 >'),
  ('BinaryStatisticsOpeningImageFilter', 'itk::BinaryStatisticsOpeningImageFilter', 'itkBinaryStatisticsOpeningImageFilterIUC2IF2', True, 'itk::Image< unsigned char,2 >,itk::Image< float,2 >'),
  ('BinaryStatisticsOpeningImageFilter', 'itk::BinaryStatisticsOpeningImageFilter', 'itkBinaryStatisticsOpeningImageFilterIULL2IF2', True, 'itk::Image< unsigned long long,2 >,itk::Image< float,2 >'),
  ('BinaryStatisticsOpeningImageFilter', 'itk::BinaryStatisticsOpeningImageFilter', 'itkBinaryStatisticsOpeningImageFilterIUC2ID2', True, 'itk::Image< unsigned char,2 >,itk::Image< double,2 >'),
  ('BinaryStatisticsOpeningImageFilter', 'itk::BinaryStatisticsOpeningImageFilter', 'itkBinaryStatisticsOpeningImageFilterIULL2ID2', True, 'itk::Image< unsigned long long,2 >,itk::Image< double,2 >'),
  ('BinaryStatisticsOpeningImageFilter', 'itk::BinaryStatisticsOpeningImageFilter', 'itkBinaryStatisticsOpeningImageFilterIUC3ISS3', True, 'itk::Image< unsigned char,3 >,itk::Image< signed short,3 >'),
  ('BinaryStatisticsOpeningImageFilter', 'itk::BinaryStatisticsOpeningImageFilter', 'itkBinaryStatisticsOpeningImageFilterIULL3ISS3', True, 'itk::Image< unsigned long long,3 >,itk::Image< signed short,3 >'),
  ('BinaryStatisticsOpeningImageFilter', 'itk::BinaryStatisticsOpeningImageFilter', 'itkBinaryStatisticsOpeningImageFilterIUC3IUC3', True, 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >'),
  ('BinaryStatisticsOpeningImageFilter', 'itk::BinaryStatisticsOpeningImageFilter', 'itkBinaryStatisticsOpeningImageFilterIULL3IUC3', True, 'itk::Image< unsigned long long,3 >,itk::Image< unsigned char,3 >'),
  ('BinaryStatisticsOpeningImageFilter', 'itk::BinaryStatisticsOpeningImageFilter', 'itkBinaryStatisticsOpeningImageFilterIUC3IULL3', True, 'itk::Image< unsigned char,3 >,itk::Image< unsigned long long,3 >'),
  ('BinaryStatisticsOpeningImageFilter', 'itk::BinaryStatisticsOpeningImageFilter', 'itkBinaryStatisticsOpeningImageFilterIULL3IULL3', True, 'itk::Image< unsigned long long,3 >,itk::Image< unsigned long long,3 >'),
  ('BinaryStatisticsOpeningImageFilter', 'itk::BinaryStatisticsOpeningImageFilter', 'itkBinaryStatisticsOpeningImageFilterIUC3IF3', True, 'itk::Image< unsigned char,3 >,itk::Image< float,3 >'),
  ('BinaryStatisticsOpeningImageFilter', 'itk::BinaryStatisticsOpeningImageFilter', 'itkBinaryStatisticsOpeningImageFilterIULL3IF3', True, 'itk::Image< unsigned long long,3 >,itk::Image< float,3 >'),
  ('BinaryStatisticsOpeningImageFilter', 'itk::BinaryStatisticsOpeningImageFilter', 'itkBinaryStatisticsOpeningImageFilterIUC3ID3', True, 'itk::Image< unsigned char,3 >,itk::Image< double,3 >'),
  ('BinaryStatisticsOpeningImageFilter', 'itk::BinaryStatisticsOpeningImageFilter', 'itkBinaryStatisticsOpeningImageFilterIULL3ID3', True, 'itk::Image< unsigned long long,3 >,itk::Image< double,3 >'),
  ('ChangeLabelLabelMapFilter', 'itk::ChangeLabelLabelMapFilter', 'itkChangeLabelLabelMapFilterLM2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('ChangeLabelLabelMapFilter', 'itk::ChangeLabelLabelMapFilter', 'itkChangeLabelLabelMapFilterLM3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('CropLabelMapFilter', 'itk::CropLabelMapFilter', 'itkCropLabelMapFilterLM2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('CropLabelMapFilter', 'itk::CropLabelMapFilter', 'itkCropLabelMapFilterLM3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('LabelImageToLabelMapFilter', 'itk::LabelImageToLabelMapFilter', 'itkLabelImageToLabelMapFilterIUC2LM2', True, 'itk::Image< unsigned char,2 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('LabelImageToLabelMapFilter', 'itk::LabelImageToLabelMapFilter', 'itkLabelImageToLabelMapFilterIUC3LM3', True, 'itk::Image< unsigned char,3 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('LabelImageToLabelMapFilter', 'itk::LabelImageToLabelMapFilter', 'itkLabelImageToLabelMapFilterIULL2LM2', True, 'itk::Image< unsigned long long,2 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('LabelImageToLabelMapFilter', 'itk::LabelImageToLabelMapFilter', 'itkLabelImageToLabelMapFilterIULL3LM3', True, 'itk::Image< unsigned long long,3 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('LabelImageToShapeLabelMapFilter', 'itk::LabelImageToShapeLabelMapFilter', 'itkLabelImageToShapeLabelMapFilterIUC2LM2', True, 'itk::Image< unsigned char,2 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('LabelImageToShapeLabelMapFilter', 'itk::LabelImageToShapeLabelMapFilter', 'itkLabelImageToShapeLabelMapFilterIUC3LM3', True, 'itk::Image< unsigned char,3 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('LabelImageToShapeLabelMapFilter', 'itk::LabelImageToShapeLabelMapFilter', 'itkLabelImageToShapeLabelMapFilterIULL2LM2', True, 'itk::Image< unsigned long long,2 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('LabelImageToShapeLabelMapFilter', 'itk::LabelImageToShapeLabelMapFilter', 'itkLabelImageToShapeLabelMapFilterIULL3LM3', True, 'itk::Image< unsigned long long,3 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('LabelImageToStatisticsLabelMapFilter', 'itk::LabelImageToStatisticsLabelMapFilter', 'itkLabelImageToStatisticsLabelMapFilterIUC2ISS2LM2', True, 'itk::Image< unsigned char,2 >, itk::Image< signed short,2 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('LabelImageToStatisticsLabelMapFilter', 'itk::LabelImageToStatisticsLabelMapFilter', 'itkLabelImageToStatisticsLabelMapFilterIUC3ISS3LM3', True, 'itk::Image< unsigned char,3 >, itk::Image< signed short,3 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('LabelImageToStatisticsLabelMapFilter', 'itk::LabelImageToStatisticsLabelMapFilter', 'itkLabelImageToStatisticsLabelMapFilterIUC2IUC2LM2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('LabelImageToStatisticsLabelMapFilter', 'itk::LabelImageToStatisticsLabelMapFilter', 'itkLabelImageToStatisticsLabelMapFilterIUC3IUC3LM3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('LabelImageToStatisticsLabelMapFilter', 'itk::LabelImageToStatisticsLabelMapFilter', 'itkLabelImageToStatisticsLabelMapFilterIUC2IULL2LM2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned long long,2 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('LabelImageToStatisticsLabelMapFilter', 'itk::LabelImageToStatisticsLabelMapFilter', 'itkLabelImageToStatisticsLabelMapFilterIUC3IULL3LM3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned long long,3 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('LabelImageToStatisticsLabelMapFilter', 'itk::LabelImageToStatisticsLabelMapFilter', 'itkLabelImageToStatisticsLabelMapFilterIUC2IF2LM2', True, 'itk::Image< unsigned char,2 >, itk::Image< float,2 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('LabelImageToStatisticsLabelMapFilter', 'itk::LabelImageToStatisticsLabelMapFilter', 'itkLabelImageToStatisticsLabelMapFilterIUC3IF3LM3', True, 'itk::Image< unsigned char,3 >, itk::Image< float,3 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('LabelImageToStatisticsLabelMapFilter', 'itk::LabelImageToStatisticsLabelMapFilter', 'itkLabelImageToStatisticsLabelMapFilterIUC2ID2LM2', True, 'itk::Image< unsigned char,2 >, itk::Image< double,2 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('LabelImageToStatisticsLabelMapFilter', 'itk::LabelImageToStatisticsLabelMapFilter', 'itkLabelImageToStatisticsLabelMapFilterIUC3ID3LM3', True, 'itk::Image< unsigned char,3 >, itk::Image< double,3 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('LabelImageToStatisticsLabelMapFilter', 'itk::LabelImageToStatisticsLabelMapFilter', 'itkLabelImageToStatisticsLabelMapFilterIULL2ISS2LM2', True, 'itk::Image< unsigned long long,2 >, itk::Image< signed short,2 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('LabelImageToStatisticsLabelMapFilter', 'itk::LabelImageToStatisticsLabelMapFilter', 'itkLabelImageToStatisticsLabelMapFilterIULL3ISS3LM3', True, 'itk::Image< unsigned long long,3 >, itk::Image< signed short,3 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('LabelImageToStatisticsLabelMapFilter', 'itk::LabelImageToStatisticsLabelMapFilter', 'itkLabelImageToStatisticsLabelMapFilterIULL2IUC2LM2', True, 'itk::Image< unsigned long long,2 >, itk::Image< unsigned char,2 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('LabelImageToStatisticsLabelMapFilter', 'itk::LabelImageToStatisticsLabelMapFilter', 'itkLabelImageToStatisticsLabelMapFilterIULL3IUC3LM3', True, 'itk::Image< unsigned long long,3 >, itk::Image< unsigned char,3 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('LabelImageToStatisticsLabelMapFilter', 'itk::LabelImageToStatisticsLabelMapFilter', 'itkLabelImageToStatisticsLabelMapFilterIULL2IULL2LM2', True, 'itk::Image< unsigned long long,2 >, itk::Image< unsigned long long,2 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('LabelImageToStatisticsLabelMapFilter', 'itk::LabelImageToStatisticsLabelMapFilter', 'itkLabelImageToStatisticsLabelMapFilterIULL3IULL3LM3', True, 'itk::Image< unsigned long long,3 >, itk::Image< unsigned long long,3 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('LabelImageToStatisticsLabelMapFilter', 'itk::LabelImageToStatisticsLabelMapFilter', 'itkLabelImageToStatisticsLabelMapFilterIULL2IF2LM2', True, 'itk::Image< unsigned long long,2 >, itk::Image< float,2 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('LabelImageToStatisticsLabelMapFilter', 'itk::LabelImageToStatisticsLabelMapFilter', 'itkLabelImageToStatisticsLabelMapFilterIULL3IF3LM3', True, 'itk::Image< unsigned long long,3 >, itk::Image< float,3 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('LabelImageToStatisticsLabelMapFilter', 'itk::LabelImageToStatisticsLabelMapFilter', 'itkLabelImageToStatisticsLabelMapFilterIULL2ID2LM2', True, 'itk::Image< unsigned long long,2 >, itk::Image< double,2 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('LabelImageToStatisticsLabelMapFilter', 'itk::LabelImageToStatisticsLabelMapFilter', 'itkLabelImageToStatisticsLabelMapFilterIULL3ID3LM3', True, 'itk::Image< unsigned long long,3 >, itk::Image< double,3 >, itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('LabelMapMaskImageFilter', 'itk::LabelMapMaskImageFilter', 'itkLabelMapMaskImageFilterLM2ISS2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >, itk::Image< signed short,2 >'),
  ('LabelMapMaskImageFilter', 'itk::LabelMapMaskImageFilter', 'itkLabelMapMaskImageFilterLM3ISS3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >, itk::Image< signed short,3 >'),
  ('LabelMapMaskImageFilter', 'itk::LabelMapMaskImageFilter', 'itkLabelMapMaskImageFilterLM2IUC2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >, itk::Image< unsigned char,2 >'),
  ('LabelMapMaskImageFilter', 'itk::LabelMapMaskImageFilter', 'itkLabelMapMaskImageFilterLM3IUC3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >, itk::Image< unsigned char,3 >'),
  ('LabelMapMaskImageFilter', 'itk::LabelMapMaskImageFilter', 'itkLabelMapMaskImageFilterLM2IULL2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >, itk::Image< unsigned long long,2 >'),
  ('LabelMapMaskImageFilter', 'itk::LabelMapMaskImageFilter', 'itkLabelMapMaskImageFilterLM3IULL3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >, itk::Image< unsigned long long,3 >'),
  ('LabelMapMaskImageFilter', 'itk::LabelMapMaskImageFilter', 'itkLabelMapMaskImageFilterLM2IF2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >, itk::Image< float,2 >'),
  ('LabelMapMaskImageFilter', 'itk::LabelMapMaskImageFilter', 'itkLabelMapMaskImageFilterLM3IF3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >, itk::Image< float,3 >'),
  ('LabelMapMaskImageFilter', 'itk::LabelMapMaskImageFilter', 'itkLabelMapMaskImageFilterLM2ID2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >, itk::Image< double,2 >'),
  ('LabelMapMaskImageFilter', 'itk::LabelMapMaskImageFilter', 'itkLabelMapMaskImageFilterLM3ID3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >, itk::Image< double,3 >'),
  ('LabelMapToBinaryImageFilter', 'itk::LabelMapToBinaryImageFilter', 'itkLabelMapToBinaryImageFilterLM2IUC2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >, itk::Image< unsigned char,2 >'),
  ('LabelMapToBinaryImageFilter', 'itk::LabelMapToBinaryImageFilter', 'itkLabelMapToBinaryImageFilterLM3IUC3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >, itk::Image< unsigned char,3 >'),
  ('LabelMapToBinaryImageFilter', 'itk::LabelMapToBinaryImageFilter', 'itkLabelMapToBinaryImageFilterLM2IULL2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >, itk::Image< unsigned long long,2 >'),
  ('LabelMapToBinaryImageFilter', 'itk::LabelMapToBinaryImageFilter', 'itkLabelMapToBinaryImageFilterLM3IULL3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >, itk::Image< unsigned long long,3 >'),
  ('LabelMapToLabelImageFilter', 'itk::LabelMapToLabelImageFilter', 'itkLabelMapToLabelImageFilterLM2IUC2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >, itk::Image< unsigned char,2 >'),
  ('LabelMapToLabelImageFilter', 'itk::LabelMapToLabelImageFilter', 'itkLabelMapToLabelImageFilterLM3IUC3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >, itk::Image< unsigned char,3 >'),
  ('LabelMapToLabelImageFilter', 'itk::LabelMapToLabelImageFilter', 'itkLabelMapToLabelImageFilterLM2IULL2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >, itk::Image< unsigned long long,2 >'),
  ('LabelMapToLabelImageFilter', 'itk::LabelMapToLabelImageFilter', 'itkLabelMapToLabelImageFilterLM3IULL3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >, itk::Image< unsigned long long,3 >'),
  ('LabelSelectionLabelMapFilter', 'itk::LabelSelectionLabelMapFilter', 'itkLabelSelectionLabelMapFilterLM2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('LabelSelectionLabelMapFilter', 'itk::LabelSelectionLabelMapFilter', 'itkLabelSelectionLabelMapFilterLM3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('LabelShapeKeepNObjectsImageFilter', 'itk::LabelShapeKeepNObjectsImageFilter', 'itkLabelShapeKeepNObjectsImageFilterISS2', True, 'itk::Image< signed short,2 >'),
  ('LabelShapeKeepNObjectsImageFilter', 'itk::LabelShapeKeepNObjectsImageFilter', 'itkLabelShapeKeepNObjectsImageFilterISS3', True, 'itk::Image< signed short,3 >'),
  ('LabelShapeKeepNObjectsImageFilter', 'itk::LabelShapeKeepNObjectsImageFilter', 'itkLabelShapeKeepNObjectsImageFilterIUC2', True, 'itk::Image< unsigned char,2 >'),
  ('LabelShapeKeepNObjectsImageFilter', 'itk::LabelShapeKeepNObjectsImageFilter', 'itkLabelShapeKeepNObjectsImageFilterIUC3', True, 'itk::Image< unsigned char,3 >'),
  ('LabelShapeKeepNObjectsImageFilter', 'itk::LabelShapeKeepNObjectsImageFilter', 'itkLabelShapeKeepNObjectsImageFilterIULL2', True, 'itk::Image< unsigned long long,2 >'),
  ('LabelShapeKeepNObjectsImageFilter', 'itk::LabelShapeKeepNObjectsImageFilter', 'itkLabelShapeKeepNObjectsImageFilterIULL3', True, 'itk::Image< unsigned long long,3 >'),
  ('LabelShapeOpeningImageFilter', 'itk::LabelShapeOpeningImageFilter', 'itkLabelShapeOpeningImageFilterISS2', True, 'itk::Image< signed short,2 >'),
  ('LabelShapeOpeningImageFilter', 'itk::LabelShapeOpeningImageFilter', 'itkLabelShapeOpeningImageFilterISS3', True, 'itk::Image< signed short,3 >'),
  ('LabelShapeOpeningImageFilter', 'itk::LabelShapeOpeningImageFilter', 'itkLabelShapeOpeningImageFilterIUC2', True, 'itk::Image< unsigned char,2 >'),
  ('LabelShapeOpeningImageFilter', 'itk::LabelShapeOpeningImageFilter', 'itkLabelShapeOpeningImageFilterIUC3', True, 'itk::Image< unsigned char,3 >'),
  ('LabelShapeOpeningImageFilter', 'itk::LabelShapeOpeningImageFilter', 'itkLabelShapeOpeningImageFilterIULL2', True, 'itk::Image< unsigned long long,2 >'),
  ('LabelShapeOpeningImageFilter', 'itk::LabelShapeOpeningImageFilter', 'itkLabelShapeOpeningImageFilterIULL3', True, 'itk::Image< unsigned long long,3 >'),
  ('LabelStatisticsKeepNObjectsImageFilter', 'itk::LabelStatisticsKeepNObjectsImageFilter', 'itkLabelStatisticsKeepNObjectsImageFilterIUC2ISS2', True, 'itk::Image< unsigned char,2 >,itk::Image< signed short,2 >'),
  ('LabelStatisticsKeepNObjectsImageFilter', 'itk::LabelStatisticsKeepNObjectsImageFilter', 'itkLabelStatisticsKeepNObjectsImageFilterIULL2ISS2', True, 'itk::Image< unsigned long long,2 >,itk::Image< signed short,2 >'),
  ('LabelStatisticsKeepNObjectsImageFilter', 'itk::LabelStatisticsKeepNObjectsImageFilter', 'itkLabelStatisticsKeepNObjectsImageFilterIUC2IUC2', True, 'itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >'),
  ('LabelStatisticsKeepNObjectsImageFilter', 'itk::LabelStatisticsKeepNObjectsImageFilter', 'itkLabelStatisticsKeepNObjectsImageFilterIULL2IUC2', True, 'itk::Image< unsigned long long,2 >,itk::Image< unsigned char,2 >'),
  ('LabelStatisticsKeepNObjectsImageFilter', 'itk::LabelStatisticsKeepNObjectsImageFilter', 'itkLabelStatisticsKeepNObjectsImageFilterIUC2IULL2', True, 'itk::Image< unsigned char,2 >,itk::Image< unsigned long long,2 >'),
  ('LabelStatisticsKeepNObjectsImageFilter', 'itk::LabelStatisticsKeepNObjectsImageFilter', 'itkLabelStatisticsKeepNObjectsImageFilterIULL2IULL2', True, 'itk::Image< unsigned long long,2 >,itk::Image< unsigned long long,2 >'),
  ('LabelStatisticsKeepNObjectsImageFilter', 'itk::LabelStatisticsKeepNObjectsImageFilter', 'itkLabelStatisticsKeepNObjectsImageFilterIUC2IF2', True, 'itk::Image< unsigned char,2 >,itk::Image< float,2 >'),
  ('LabelStatisticsKeepNObjectsImageFilter', 'itk::LabelStatisticsKeepNObjectsImageFilter', 'itkLabelStatisticsKeepNObjectsImageFilterIULL2IF2', True, 'itk::Image< unsigned long long,2 >,itk::Image< float,2 >'),
  ('LabelStatisticsKeepNObjectsImageFilter', 'itk::LabelStatisticsKeepNObjectsImageFilter', 'itkLabelStatisticsKeepNObjectsImageFilterIUC2ID2', True, 'itk::Image< unsigned char,2 >,itk::Image< double,2 >'),
  ('LabelStatisticsKeepNObjectsImageFilter', 'itk::LabelStatisticsKeepNObjectsImageFilter', 'itkLabelStatisticsKeepNObjectsImageFilterIULL2ID2', True, 'itk::Image< unsigned long long,2 >,itk::Image< double,2 >'),
  ('LabelStatisticsKeepNObjectsImageFilter', 'itk::LabelStatisticsKeepNObjectsImageFilter', 'itkLabelStatisticsKeepNObjectsImageFilterIUC3ISS3', True, 'itk::Image< unsigned char,3 >,itk::Image< signed short,3 >'),
  ('LabelStatisticsKeepNObjectsImageFilter', 'itk::LabelStatisticsKeepNObjectsImageFilter', 'itkLabelStatisticsKeepNObjectsImageFilterIULL3ISS3', True, 'itk::Image< unsigned long long,3 >,itk::Image< signed short,3 >'),
  ('LabelStatisticsKeepNObjectsImageFilter', 'itk::LabelStatisticsKeepNObjectsImageFilter', 'itkLabelStatisticsKeepNObjectsImageFilterIUC3IUC3', True, 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >'),
  ('LabelStatisticsKeepNObjectsImageFilter', 'itk::LabelStatisticsKeepNObjectsImageFilter', 'itkLabelStatisticsKeepNObjectsImageFilterIULL3IUC3', True, 'itk::Image< unsigned long long,3 >,itk::Image< unsigned char,3 >'),
  ('LabelStatisticsKeepNObjectsImageFilter', 'itk::LabelStatisticsKeepNObjectsImageFilter', 'itkLabelStatisticsKeepNObjectsImageFilterIUC3IULL3', True, 'itk::Image< unsigned char,3 >,itk::Image< unsigned long long,3 >'),
  ('LabelStatisticsKeepNObjectsImageFilter', 'itk::LabelStatisticsKeepNObjectsImageFilter', 'itkLabelStatisticsKeepNObjectsImageFilterIULL3IULL3', True, 'itk::Image< unsigned long long,3 >,itk::Image< unsigned long long,3 >'),
  ('LabelStatisticsKeepNObjectsImageFilter', 'itk::LabelStatisticsKeepNObjectsImageFilter', 'itkLabelStatisticsKeepNObjectsImageFilterIUC3IF3', True, 'itk::Image< unsigned char,3 >,itk::Image< float,3 >'),
  ('LabelStatisticsKeepNObjectsImageFilter', 'itk::LabelStatisticsKeepNObjectsImageFilter', 'itkLabelStatisticsKeepNObjectsImageFilterIULL3IF3', True, 'itk::Image< unsigned long long,3 >,itk::Image< float,3 >'),
  ('LabelStatisticsKeepNObjectsImageFilter', 'itk::LabelStatisticsKeepNObjectsImageFilter', 'itkLabelStatisticsKeepNObjectsImageFilterIUC3ID3', True, 'itk::Image< unsigned char,3 >,itk::Image< double,3 >'),
  ('LabelStatisticsKeepNObjectsImageFilter', 'itk::LabelStatisticsKeepNObjectsImageFilter', 'itkLabelStatisticsKeepNObjectsImageFilterIULL3ID3', True, 'itk::Image< unsigned long long,3 >,itk::Image< double,3 >'),
  ('LabelStatisticsOpeningImageFilter', 'itk::LabelStatisticsOpeningImageFilter', 'itkLabelStatisticsOpeningImageFilterIUC2ISS2', True, 'itk::Image< unsigned char,2 >,itk::Image< signed short,2 >'),
  ('LabelStatisticsOpeningImageFilter', 'itk::LabelStatisticsOpeningImageFilter', 'itkLabelStatisticsOpeningImageFilterIULL2ISS2', True, 'itk::Image< unsigned long long,2 >,itk::Image< signed short,2 >'),
  ('LabelStatisticsOpeningImageFilter', 'itk::LabelStatisticsOpeningImageFilter', 'itkLabelStatisticsOpeningImageFilterIUC2IUC2', True, 'itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >'),
  ('LabelStatisticsOpeningImageFilter', 'itk::LabelStatisticsOpeningImageFilter', 'itkLabelStatisticsOpeningImageFilterIULL2IUC2', True, 'itk::Image< unsigned long long,2 >,itk::Image< unsigned char,2 >'),
  ('LabelStatisticsOpeningImageFilter', 'itk::LabelStatisticsOpeningImageFilter', 'itkLabelStatisticsOpeningImageFilterIUC2IULL2', True, 'itk::Image< unsigned char,2 >,itk::Image< unsigned long long,2 >'),
  ('LabelStatisticsOpeningImageFilter', 'itk::LabelStatisticsOpeningImageFilter', 'itkLabelStatisticsOpeningImageFilterIULL2IULL2', True, 'itk::Image< unsigned long long,2 >,itk::Image< unsigned long long,2 >'),
  ('LabelStatisticsOpeningImageFilter', 'itk::LabelStatisticsOpeningImageFilter', 'itkLabelStatisticsOpeningImageFilterIUC2IF2', True, 'itk::Image< unsigned char,2 >,itk::Image< float,2 >'),
  ('LabelStatisticsOpeningImageFilter', 'itk::LabelStatisticsOpeningImageFilter', 'itkLabelStatisticsOpeningImageFilterIULL2IF2', True, 'itk::Image< unsigned long long,2 >,itk::Image< float,2 >'),
  ('LabelStatisticsOpeningImageFilter', 'itk::LabelStatisticsOpeningImageFilter', 'itkLabelStatisticsOpeningImageFilterIUC2ID2', True, 'itk::Image< unsigned char,2 >,itk::Image< double,2 >'),
  ('LabelStatisticsOpeningImageFilter', 'itk::LabelStatisticsOpeningImageFilter', 'itkLabelStatisticsOpeningImageFilterIULL2ID2', True, 'itk::Image< unsigned long long,2 >,itk::Image< double,2 >'),
  ('LabelStatisticsOpeningImageFilter', 'itk::LabelStatisticsOpeningImageFilter', 'itkLabelStatisticsOpeningImageFilterIUC3ISS3', True, 'itk::Image< unsigned char,3 >,itk::Image< signed short,3 >'),
  ('LabelStatisticsOpeningImageFilter', 'itk::LabelStatisticsOpeningImageFilter', 'itkLabelStatisticsOpeningImageFilterIULL3ISS3', True, 'itk::Image< unsigned long long,3 >,itk::Image< signed short,3 >'),
  ('LabelStatisticsOpeningImageFilter', 'itk::LabelStatisticsOpeningImageFilter', 'itkLabelStatisticsOpeningImageFilterIUC3IUC3', True, 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >'),
  ('LabelStatisticsOpeningImageFilter', 'itk::LabelStatisticsOpeningImageFilter', 'itkLabelStatisticsOpeningImageFilterIULL3IUC3', True, 'itk::Image< unsigned long long,3 >,itk::Image< unsigned char,3 >'),
  ('LabelStatisticsOpeningImageFilter', 'itk::LabelStatisticsOpeningImageFilter', 'itkLabelStatisticsOpeningImageFilterIUC3IULL3', True, 'itk::Image< unsigned char,3 >,itk::Image< unsigned long long,3 >'),
  ('LabelStatisticsOpeningImageFilter', 'itk::LabelStatisticsOpeningImageFilter', 'itkLabelStatisticsOpeningImageFilterIULL3IULL3', True, 'itk::Image< unsigned long long,3 >,itk::Image< unsigned long long,3 >'),
  ('LabelStatisticsOpeningImageFilter', 'itk::LabelStatisticsOpeningImageFilter', 'itkLabelStatisticsOpeningImageFilterIUC3IF3', True, 'itk::Image< unsigned char,3 >,itk::Image< float,3 >'),
  ('LabelStatisticsOpeningImageFilter', 'itk::LabelStatisticsOpeningImageFilter', 'itkLabelStatisticsOpeningImageFilterIULL3IF3', True, 'itk::Image< unsigned long long,3 >,itk::Image< float,3 >'),
  ('LabelStatisticsOpeningImageFilter', 'itk::LabelStatisticsOpeningImageFilter', 'itkLabelStatisticsOpeningImageFilterIUC3ID3', True, 'itk::Image< unsigned char,3 >,itk::Image< double,3 >'),
  ('LabelStatisticsOpeningImageFilter', 'itk::LabelStatisticsOpeningImageFilter', 'itkLabelStatisticsOpeningImageFilterIULL3ID3', True, 'itk::Image< unsigned long long,3 >,itk::Image< double,3 >'),
  ('LabelUniqueLabelMapFilter', 'itk::LabelUniqueLabelMapFilter', 'itkLabelUniqueLabelMapFilterLM2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('LabelUniqueLabelMapFilter', 'itk::LabelUniqueLabelMapFilter', 'itkLabelUniqueLabelMapFilterLM3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('MergeLabelMapFilter', 'itk::MergeLabelMapFilter', 'itkMergeLabelMapFilterLM2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('MergeLabelMapFilter', 'itk::MergeLabelMapFilter', 'itkMergeLabelMapFilterLM3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('ObjectByObjectLabelMapFilter', 'itk::ObjectByObjectLabelMapFilter', 'itkObjectByObjectLabelMapFilterLM2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('ObjectByObjectLabelMapFilter', 'itk::ObjectByObjectLabelMapFilter', 'itkObjectByObjectLabelMapFilterLM3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('PadLabelMapFilter', 'itk::PadLabelMapFilter', 'itkPadLabelMapFilterLM2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('PadLabelMapFilter', 'itk::PadLabelMapFilter', 'itkPadLabelMapFilterLM3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('RegionFromReferenceLabelMapFilter', 'itk::RegionFromReferenceLabelMapFilter', 'itkRegionFromReferenceLabelMapFilterLM2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('RegionFromReferenceLabelMapFilter', 'itk::RegionFromReferenceLabelMapFilter', 'itkRegionFromReferenceLabelMapFilterLM3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('RelabelLabelMapFilter', 'itk::RelabelLabelMapFilter', 'itkRelabelLabelMapFilterLM2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('RelabelLabelMapFilter', 'itk::RelabelLabelMapFilter', 'itkRelabelLabelMapFilterLM3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('ShapeKeepNObjectsLabelMapFilter', 'itk::ShapeKeepNObjectsLabelMapFilter', 'itkShapeKeepNObjectsLabelMapFilterLM2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('ShapeKeepNObjectsLabelMapFilter', 'itk::ShapeKeepNObjectsLabelMapFilter', 'itkShapeKeepNObjectsLabelMapFilterLM3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('ShapeLabelMapFilter', 'itk::ShapeLabelMapFilter', 'itkShapeLabelMapFilterLM2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('ShapeLabelMapFilter', 'itk::ShapeLabelMapFilter', 'itkShapeLabelMapFilterLM3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('ShapeOpeningLabelMapFilter', 'itk::ShapeOpeningLabelMapFilter', 'itkShapeOpeningLabelMapFilterLM2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('ShapeOpeningLabelMapFilter', 'itk::ShapeOpeningLabelMapFilter', 'itkShapeOpeningLabelMapFilterLM3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('ShapePositionLabelMapFilter', 'itk::ShapePositionLabelMapFilter', 'itkShapePositionLabelMapFilterLM2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('ShapePositionLabelMapFilter', 'itk::ShapePositionLabelMapFilter', 'itkShapePositionLabelMapFilterLM3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('ShapeRelabelImageFilter', 'itk::ShapeRelabelImageFilter', 'itkShapeRelabelImageFilterISS2', True, 'itk::Image< signed short,2 >'),
  ('ShapeRelabelImageFilter', 'itk::ShapeRelabelImageFilter', 'itkShapeRelabelImageFilterISS3', True, 'itk::Image< signed short,3 >'),
  ('ShapeRelabelImageFilter', 'itk::ShapeRelabelImageFilter', 'itkShapeRelabelImageFilterIUC2', True, 'itk::Image< unsigned char,2 >'),
  ('ShapeRelabelImageFilter', 'itk::ShapeRelabelImageFilter', 'itkShapeRelabelImageFilterIUC3', True, 'itk::Image< unsigned char,3 >'),
  ('ShapeRelabelImageFilter', 'itk::ShapeRelabelImageFilter', 'itkShapeRelabelImageFilterIULL2', True, 'itk::Image< unsigned long long,2 >'),
  ('ShapeRelabelImageFilter', 'itk::ShapeRelabelImageFilter', 'itkShapeRelabelImageFilterIULL3', True, 'itk::Image< unsigned long long,3 >'),
  ('ShapeRelabelLabelMapFilter', 'itk::ShapeRelabelLabelMapFilter', 'itkShapeRelabelLabelMapFilterLM2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('ShapeRelabelLabelMapFilter', 'itk::ShapeRelabelLabelMapFilter', 'itkShapeRelabelLabelMapFilterLM3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('ShapeUniqueLabelMapFilter', 'itk::ShapeUniqueLabelMapFilter', 'itkShapeUniqueLabelMapFilterLM2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('ShapeUniqueLabelMapFilter', 'itk::ShapeUniqueLabelMapFilter', 'itkShapeUniqueLabelMapFilterLM3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('ShiftScaleLabelMapFilter', 'itk::ShiftScaleLabelMapFilter', 'itkShiftScaleLabelMapFilterLM2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('ShiftScaleLabelMapFilter', 'itk::ShiftScaleLabelMapFilter', 'itkShiftScaleLabelMapFilterLM3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('StatisticsKeepNObjectsLabelMapFilter', 'itk::StatisticsKeepNObjectsLabelMapFilter', 'itkStatisticsKeepNObjectsLabelMapFilterLM2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('StatisticsKeepNObjectsLabelMapFilter', 'itk::StatisticsKeepNObjectsLabelMapFilter', 'itkStatisticsKeepNObjectsLabelMapFilterLM3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('StatisticsLabelMapFilter', 'itk::StatisticsLabelMapFilter', 'itkStatisticsLabelMapFilterLM2ISS2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >, itk::Image< signed short,2 >'),
  ('StatisticsLabelMapFilter', 'itk::StatisticsLabelMapFilter', 'itkStatisticsLabelMapFilterLM2IUC2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >, itk::Image< unsigned char,2 >'),
  ('StatisticsLabelMapFilter', 'itk::StatisticsLabelMapFilter', 'itkStatisticsLabelMapFilterLM2IULL2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >, itk::Image< unsigned long long,2 >'),
  ('StatisticsLabelMapFilter', 'itk::StatisticsLabelMapFilter', 'itkStatisticsLabelMapFilterLM2IF2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >, itk::Image< float,2 >'),
  ('StatisticsLabelMapFilter', 'itk::StatisticsLabelMapFilter', 'itkStatisticsLabelMapFilterLM2ID2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >, itk::Image< double,2 >'),
  ('StatisticsLabelMapFilter', 'itk::StatisticsLabelMapFilter', 'itkStatisticsLabelMapFilterLM3ISS3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >, itk::Image< signed short,3 >'),
  ('StatisticsLabelMapFilter', 'itk::StatisticsLabelMapFilter', 'itkStatisticsLabelMapFilterLM3IUC3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >, itk::Image< unsigned char,3 >'),
  ('StatisticsLabelMapFilter', 'itk::StatisticsLabelMapFilter', 'itkStatisticsLabelMapFilterLM3IULL3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >, itk::Image< unsigned long long,3 >'),
  ('StatisticsLabelMapFilter', 'itk::StatisticsLabelMapFilter', 'itkStatisticsLabelMapFilterLM3IF3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >, itk::Image< float,3 >'),
  ('StatisticsLabelMapFilter', 'itk::StatisticsLabelMapFilter', 'itkStatisticsLabelMapFilterLM3ID3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >, itk::Image< double,3 >'),
  ('StatisticsOpeningLabelMapFilter', 'itk::StatisticsOpeningLabelMapFilter', 'itkStatisticsOpeningLabelMapFilterLM2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('StatisticsOpeningLabelMapFilter', 'itk::StatisticsOpeningLabelMapFilter', 'itkStatisticsOpeningLabelMapFilterLM3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('StatisticsPositionLabelMapFilter', 'itk::StatisticsPositionLabelMapFilter', 'itkStatisticsPositionLabelMapFilterLM2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('StatisticsPositionLabelMapFilter', 'itk::StatisticsPositionLabelMapFilter', 'itkStatisticsPositionLabelMapFilterLM3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('StatisticsRelabelImageFilter', 'itk::StatisticsRelabelImageFilter', 'itkStatisticsRelabelImageFilterIUC2ISS2', True, 'itk::Image< unsigned char,2 >,itk::Image< signed short,2 >'),
  ('StatisticsRelabelImageFilter', 'itk::StatisticsRelabelImageFilter', 'itkStatisticsRelabelImageFilterIULL2ISS2', True, 'itk::Image< unsigned long long,2 >,itk::Image< signed short,2 >'),
  ('StatisticsRelabelImageFilter', 'itk::StatisticsRelabelImageFilter', 'itkStatisticsRelabelImageFilterIUC2IUC2', True, 'itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >'),
  ('StatisticsRelabelImageFilter', 'itk::StatisticsRelabelImageFilter', 'itkStatisticsRelabelImageFilterIULL2IUC2', True, 'itk::Image< unsigned long long,2 >,itk::Image< unsigned char,2 >'),
  ('StatisticsRelabelImageFilter', 'itk::StatisticsRelabelImageFilter', 'itkStatisticsRelabelImageFilterIUC2IULL2', True, 'itk::Image< unsigned char,2 >,itk::Image< unsigned long long,2 >'),
  ('StatisticsRelabelImageFilter', 'itk::StatisticsRelabelImageFilter', 'itkStatisticsRelabelImageFilterIULL2IULL2', True, 'itk::Image< unsigned long long,2 >,itk::Image< unsigned long long,2 >'),
  ('StatisticsRelabelImageFilter', 'itk::StatisticsRelabelImageFilter', 'itkStatisticsRelabelImageFilterIUC2IF2', True, 'itk::Image< unsigned char,2 >,itk::Image< float,2 >'),
  ('StatisticsRelabelImageFilter', 'itk::StatisticsRelabelImageFilter', 'itkStatisticsRelabelImageFilterIULL2IF2', True, 'itk::Image< unsigned long long,2 >,itk::Image< float,2 >'),
  ('StatisticsRelabelImageFilter', 'itk::StatisticsRelabelImageFilter', 'itkStatisticsRelabelImageFilterIUC2ID2', True, 'itk::Image< unsigned char,2 >,itk::Image< double,2 >'),
  ('StatisticsRelabelImageFilter', 'itk::StatisticsRelabelImageFilter', 'itkStatisticsRelabelImageFilterIULL2ID2', True, 'itk::Image< unsigned long long,2 >,itk::Image< double,2 >'),
  ('StatisticsRelabelImageFilter', 'itk::StatisticsRelabelImageFilter', 'itkStatisticsRelabelImageFilterIUC3ISS3', True, 'itk::Image< unsigned char,3 >,itk::Image< signed short,3 >'),
  ('StatisticsRelabelImageFilter', 'itk::StatisticsRelabelImageFilter', 'itkStatisticsRelabelImageFilterIULL3ISS3', True, 'itk::Image< unsigned long long,3 >,itk::Image< signed short,3 >'),
  ('StatisticsRelabelImageFilter', 'itk::StatisticsRelabelImageFilter', 'itkStatisticsRelabelImageFilterIUC3IUC3', True, 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >'),
  ('StatisticsRelabelImageFilter', 'itk::StatisticsRelabelImageFilter', 'itkStatisticsRelabelImageFilterIULL3IUC3', True, 'itk::Image< unsigned long long,3 >,itk::Image< unsigned char,3 >'),
  ('StatisticsRelabelImageFilter', 'itk::StatisticsRelabelImageFilter', 'itkStatisticsRelabelImageFilterIUC3IULL3', True, 'itk::Image< unsigned char,3 >,itk::Image< unsigned long long,3 >'),
  ('StatisticsRelabelImageFilter', 'itk::StatisticsRelabelImageFilter', 'itkStatisticsRelabelImageFilterIULL3IULL3', True, 'itk::Image< unsigned long long,3 >,itk::Image< unsigned long long,3 >'),
  ('StatisticsRelabelImageFilter', 'itk::StatisticsRelabelImageFilter', 'itkStatisticsRelabelImageFilterIUC3IF3', True, 'itk::Image< unsigned char,3 >,itk::Image< float,3 >'),
  ('StatisticsRelabelImageFilter', 'itk::StatisticsRelabelImageFilter', 'itkStatisticsRelabelImageFilterIULL3IF3', True, 'itk::Image< unsigned long long,3 >,itk::Image< float,3 >'),
  ('StatisticsRelabelImageFilter', 'itk::StatisticsRelabelImageFilter', 'itkStatisticsRelabelImageFilterIUC3ID3', True, 'itk::Image< unsigned char,3 >,itk::Image< double,3 >'),
  ('StatisticsRelabelImageFilter', 'itk::StatisticsRelabelImageFilter', 'itkStatisticsRelabelImageFilterIULL3ID3', True, 'itk::Image< unsigned long long,3 >,itk::Image< double,3 >'),
  ('StatisticsRelabelLabelMapFilter', 'itk::StatisticsRelabelLabelMapFilter', 'itkStatisticsRelabelLabelMapFilterLM2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('StatisticsRelabelLabelMapFilter', 'itk::StatisticsRelabelLabelMapFilter', 'itkStatisticsRelabelLabelMapFilterLM3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
  ('StatisticsUniqueLabelMapFilter', 'itk::StatisticsUniqueLabelMapFilter', 'itkStatisticsUniqueLabelMapFilterLM2', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 2 > >'),
  ('StatisticsUniqueLabelMapFilter', 'itk::StatisticsUniqueLabelMapFilter', 'itkStatisticsUniqueLabelMapFilterLM3', True, 'itk::LabelMap< itk::StatisticsLabelObject< unsigned long, 3 > >'),
)
