depends = ('ITKPyBase', 'ITKThresholding', 'ITKImageIntensity', 'ITKImageGrid', 'ITKImageFilterBase', 'ITKConnectedComponents', )
templates = (
  ('FlatStructuringElement', 'itk::FlatStructuringElement', 'itkFlatStructuringElement2', True, '2'),
  ('FlatStructuringElement', 'itk::FlatStructuringElement', 'itkFlatStructuringElement3', True, '3'),
  ('KernelImageFilter', 'itk::KernelImageFilter', 'itkKernelImageFilterISS2ISS2SE2', False, 'itk::Image< signed short,2 >,itk::Image< signed short,2 >,itk::FlatStructuringElement< 2 >'),
  ('KernelImageFilter', 'itk::KernelImageFilter', 'itkKernelImageFilterIUC2IUC2SE2', False, 'itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >,itk::FlatStructuringElement< 2 >'),
  ('KernelImageFilter', 'itk::KernelImageFilter', 'itkKernelImageFilterIULL2IULL2SE2', False, 'itk::Image< unsigned long long,2 >,itk::Image< unsigned long long,2 >,itk::FlatStructuringElement< 2 >'),
  ('KernelImageFilter', 'itk::KernelImageFilter', 'itkKernelImageFilterIF2IF2SE2', False, 'itk::Image< float,2 >,itk::Image< float,2 >,itk::FlatStructuringElement< 2 >'),
  ('KernelImageFilter', 'itk::KernelImageFilter', 'itkKernelImageFilterID2ID2SE2', False, 'itk::Image< double,2 >,itk::Image< double,2 >,itk::FlatStructuringElement< 2 >'),
  ('KernelImageFilter', 'itk::KernelImageFilter', 'itkKernelImageFilterISS3ISS3SE3', False, 'itk::Image< signed short,3 >,itk::Image< signed short,3 >,itk::FlatStructuringElement< 3 >'),
  ('KernelImageFilter', 'itk::KernelImageFilter', 'itkKernelImageFilterIUC3IUC3SE3', False, 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >,itk::FlatStructuringElement< 3 >'),
  ('KernelImageFilter', 'itk::KernelImageFilter', 'itkKernelImageFilterIULL3IULL3SE3', False, 'itk::Image< unsigned long long,3 >,itk::Image< unsigned long long,3 >,itk::FlatStructuringElement< 3 >'),
  ('KernelImageFilter', 'itk::KernelImageFilter', 'itkKernelImageFilterIF3IF3SE3', False, 'itk::Image< float,3 >,itk::Image< float,3 >,itk::FlatStructuringElement< 3 >'),
  ('KernelImageFilter', 'itk::KernelImageFilter', 'itkKernelImageFilterID3ID3SE3', False, 'itk::Image< double,3 >,itk::Image< double,3 >,itk::FlatStructuringElement< 3 >'),
  ('MovingHistogramImageFilterBase', 'itk::MovingHistogramImageFilterBase', 'itkMovingHistogramImageFilterBaseISS2ISS2SE2', False, 'itk::Image< signed short,2 >,itk::Image< signed short,2 >,itk::FlatStructuringElement< 2 >'),
  ('MovingHistogramImageFilterBase', 'itk::MovingHistogramImageFilterBase', 'itkMovingHistogramImageFilterBaseIUC2IUC2SE2', False, 'itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >,itk::FlatStructuringElement< 2 >'),
  ('MovingHistogramImageFilterBase', 'itk::MovingHistogramImageFilterBase', 'itkMovingHistogramImageFilterBaseIULL2IULL2SE2', False, 'itk::Image< unsigned long long,2 >,itk::Image< unsigned long long,2 >,itk::FlatStructuringElement< 2 >'),
  ('MovingHistogramImageFilterBase', 'itk::MovingHistogramImageFilterBase', 'itkMovingHistogramImageFilterBaseIF2IF2SE2', False, 'itk::Image< float,2 >,itk::Image< float,2 >,itk::FlatStructuringElement< 2 >'),
  ('MovingHistogramImageFilterBase', 'itk::MovingHistogramImageFilterBase', 'itkMovingHistogramImageFilterBaseID2ID2SE2', False, 'itk::Image< double,2 >,itk::Image< double,2 >,itk::FlatStructuringElement< 2 >'),
  ('MovingHistogramImageFilterBase', 'itk::MovingHistogramImageFilterBase', 'itkMovingHistogramImageFilterBaseISS3ISS3SE3', False, 'itk::Image< signed short,3 >,itk::Image< signed short,3 >,itk::FlatStructuringElement< 3 >'),
  ('MovingHistogramImageFilterBase', 'itk::MovingHistogramImageFilterBase', 'itkMovingHistogramImageFilterBaseIUC3IUC3SE3', False, 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >,itk::FlatStructuringElement< 3 >'),
  ('MovingHistogramImageFilterBase', 'itk::MovingHistogramImageFilterBase', 'itkMovingHistogramImageFilterBaseIULL3IULL3SE3', False, 'itk::Image< unsigned long long,3 >,itk::Image< unsigned long long,3 >,itk::FlatStructuringElement< 3 >'),
  ('MovingHistogramImageFilterBase', 'itk::MovingHistogramImageFilterBase', 'itkMovingHistogramImageFilterBaseIF3IF3SE3', False, 'itk::Image< float,3 >,itk::Image< float,3 >,itk::FlatStructuringElement< 3 >'),
  ('MovingHistogramImageFilterBase', 'itk::MovingHistogramImageFilterBase', 'itkMovingHistogramImageFilterBaseID3ID3SE3', False, 'itk::Image< double,3 >,itk::Image< double,3 >,itk::FlatStructuringElement< 3 >'),
  ('BlackTopHatImageFilter', 'itk::BlackTopHatImageFilter', 'itkBlackTopHatImageFilterISS2ISS2SE2', True, 'itk::Image< signed short,2 >,itk::Image< signed short,2 >,itk::FlatStructuringElement< 2 >'),
  ('BlackTopHatImageFilter', 'itk::BlackTopHatImageFilter', 'itkBlackTopHatImageFilterIUC2IUC2SE2', True, 'itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >,itk::FlatStructuringElement< 2 >'),
  ('BlackTopHatImageFilter', 'itk::BlackTopHatImageFilter', 'itkBlackTopHatImageFilterIULL2IULL2SE2', True, 'itk::Image< unsigned long long,2 >,itk::Image< unsigned long long,2 >,itk::FlatStructuringElement< 2 >'),
  ('BlackTopHatImageFilter', 'itk::BlackTopHatImageFilter', 'itkBlackTopHatImageFilterIF2IF2SE2', True, 'itk::Image< float,2 >,itk::Image< float,2 >,itk::FlatStructuringElement< 2 >'),
  ('BlackTopHatImageFilter', 'itk::BlackTopHatImageFilter', 'itkBlackTopHatImageFilterID2ID2SE2', True, 'itk::Image< double,2 >,itk::Image< double,2 >,itk::FlatStructuringElement< 2 >'),
  ('BlackTopHatImageFilter', 'itk::BlackTopHatImageFilter', 'itkBlackTopHatImageFilterISS3ISS3SE3', True, 'itk::Image< signed short,3 >,itk::Image< signed short,3 >,itk::FlatStructuringElement< 3 >'),
  ('BlackTopHatImageFilter', 'itk::BlackTopHatImageFilter', 'itkBlackTopHatImageFilterIUC3IUC3SE3', True, 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >,itk::FlatStructuringElement< 3 >'),
  ('BlackTopHatImageFilter', 'itk::BlackTopHatImageFilter', 'itkBlackTopHatImageFilterIULL3IULL3SE3', True, 'itk::Image< unsigned long long,3 >,itk::Image< unsigned long long,3 >,itk::FlatStructuringElement< 3 >'),
  ('BlackTopHatImageFilter', 'itk::BlackTopHatImageFilter', 'itkBlackTopHatImageFilterIF3IF3SE3', True, 'itk::Image< float,3 >,itk::Image< float,3 >,itk::FlatStructuringElement< 3 >'),
  ('BlackTopHatImageFilter', 'itk::BlackTopHatImageFilter', 'itkBlackTopHatImageFilterID3ID3SE3', True, 'itk::Image< double,3 >,itk::Image< double,3 >,itk::FlatStructuringElement< 3 >'),
  ('ClosingByReconstructionImageFilter', 'itk::ClosingByReconstructionImageFilter', 'itkClosingByReconstructionImageFilterISS2ISS2SE2', True, 'itk::Image< signed short,2 >,itk::Image< signed short,2 >,itk::FlatStructuringElement< 2 >'),
  ('ClosingByReconstructionImageFilter', 'itk::ClosingByReconstructionImageFilter', 'itkClosingByReconstructionImageFilterIUC2IUC2SE2', True, 'itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >,itk::FlatStructuringElement< 2 >'),
  ('ClosingByReconstructionImageFilter', 'itk::ClosingByReconstructionImageFilter', 'itkClosingByReconstructionImageFilterIULL2IULL2SE2', True, 'itk::Image< unsigned long long,2 >,itk::Image< unsigned long long,2 >,itk::FlatStructuringElement< 2 >'),
  ('ClosingByReconstructionImageFilter', 'itk::ClosingByReconstructionImageFilter', 'itkClosingByReconstructionImageFilterIF2IF2SE2', True, 'itk::Image< float,2 >,itk::Image< float,2 >,itk::FlatStructuringElement< 2 >'),
  ('ClosingByReconstructionImageFilter', 'itk::ClosingByReconstructionImageFilter', 'itkClosingByReconstructionImageFilterID2ID2SE2', True, 'itk::Image< double,2 >,itk::Image< double,2 >,itk::FlatStructuringElement< 2 >'),
  ('ClosingByReconstructionImageFilter', 'itk::ClosingByReconstructionImageFilter', 'itkClosingByReconstructionImageFilterISS3ISS3SE3', True, 'itk::Image< signed short,3 >,itk::Image< signed short,3 >,itk::FlatStructuringElement< 3 >'),
  ('ClosingByReconstructionImageFilter', 'itk::ClosingByReconstructionImageFilter', 'itkClosingByReconstructionImageFilterIUC3IUC3SE3', True, 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >,itk::FlatStructuringElement< 3 >'),
  ('ClosingByReconstructionImageFilter', 'itk::ClosingByReconstructionImageFilter', 'itkClosingByReconstructionImageFilterIULL3IULL3SE3', True, 'itk::Image< unsigned long long,3 >,itk::Image< unsigned long long,3 >,itk::FlatStructuringElement< 3 >'),
  ('ClosingByReconstructionImageFilter', 'itk::ClosingByReconstructionImageFilter', 'itkClosingByReconstructionImageFilterIF3IF3SE3', True, 'itk::Image< float,3 >,itk::Image< float,3 >,itk::FlatStructuringElement< 3 >'),
  ('ClosingByReconstructionImageFilter', 'itk::ClosingByReconstructionImageFilter', 'itkClosingByReconstructionImageFilterID3ID3SE3', True, 'itk::Image< double,3 >,itk::Image< double,3 >,itk::FlatStructuringElement< 3 >'),
  ('DoubleThresholdImageFilter', 'itk::DoubleThresholdImageFilter', 'itkDoubleThresholdImageFilterISS2ISS2', True, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('DoubleThresholdImageFilter', 'itk::DoubleThresholdImageFilter', 'itkDoubleThresholdImageFilterISS3ISS3', True, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('DoubleThresholdImageFilter', 'itk::DoubleThresholdImageFilter', 'itkDoubleThresholdImageFilterIUC2IUC2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('DoubleThresholdImageFilter', 'itk::DoubleThresholdImageFilter', 'itkDoubleThresholdImageFilterIUC3IUC3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('DoubleThresholdImageFilter', 'itk::DoubleThresholdImageFilter', 'itkDoubleThresholdImageFilterIULL2IULL2', True, 'itk::Image< unsigned long long,2 >, itk::Image< unsigned long long,2 >'),
  ('DoubleThresholdImageFilter', 'itk::DoubleThresholdImageFilter', 'itkDoubleThresholdImageFilterIULL3IULL3', True, 'itk::Image< unsigned long long,3 >, itk::Image< unsigned long long,3 >'),
  ('DoubleThresholdImageFilter', 'itk::DoubleThresholdImageFilter', 'itkDoubleThresholdImageFilterIF2IF2', True, 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('DoubleThresholdImageFilter', 'itk::DoubleThresholdImageFilter', 'itkDoubleThresholdImageFilterIF3IF3', True, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('DoubleThresholdImageFilter', 'itk::DoubleThresholdImageFilter', 'itkDoubleThresholdImageFilterID2ID2', True, 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('DoubleThresholdImageFilter', 'itk::DoubleThresholdImageFilter', 'itkDoubleThresholdImageFilterID3ID3', True, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('DoubleThresholdImageFilter', 'itk::DoubleThresholdImageFilter', 'itkDoubleThresholdImageFilterIF2IUC2', True, 'itk::Image< float,2 >, itk::Image< unsigned char,2 >'),
  ('DoubleThresholdImageFilter', 'itk::DoubleThresholdImageFilter', 'itkDoubleThresholdImageFilterIF3IUC3', True, 'itk::Image< float,3 >, itk::Image< unsigned char,3 >'),
  ('DoubleThresholdImageFilter', 'itk::DoubleThresholdImageFilter', 'itkDoubleThresholdImageFilterIF2IULL2', True, 'itk::Image< float,2 >, itk::Image< unsigned long long,2 >'),
  ('DoubleThresholdImageFilter', 'itk::DoubleThresholdImageFilter', 'itkDoubleThresholdImageFilterIF3IULL3', True, 'itk::Image< float,3 >, itk::Image< unsigned long long,3 >'),
  ('DoubleThresholdImageFilter', 'itk::DoubleThresholdImageFilter', 'itkDoubleThresholdImageFilterID2IUC2', True, 'itk::Image< double,2 >, itk::Image< unsigned char,2 >'),
  ('DoubleThresholdImageFilter', 'itk::DoubleThresholdImageFilter', 'itkDoubleThresholdImageFilterID3IUC3', True, 'itk::Image< double,3 >, itk::Image< unsigned char,3 >'),
  ('DoubleThresholdImageFilter', 'itk::DoubleThresholdImageFilter', 'itkDoubleThresholdImageFilterID2IULL2', True, 'itk::Image< double,2 >, itk::Image< unsigned long long,2 >'),
  ('DoubleThresholdImageFilter', 'itk::DoubleThresholdImageFilter', 'itkDoubleThresholdImageFilterID3IULL3', True, 'itk::Image< double,3 >, itk::Image< unsigned long long,3 >'),
  ('GrayscaleConnectedClosingImageFilter', 'itk::GrayscaleConnectedClosingImageFilter', 'itkGrayscaleConnectedClosingImageFilterISS2ISS2', True, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('GrayscaleConnectedClosingImageFilter', 'itk::GrayscaleConnectedClosingImageFilter', 'itkGrayscaleConnectedClosingImageFilterISS3ISS3', True, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('GrayscaleConnectedClosingImageFilter', 'itk::GrayscaleConnectedClosingImageFilter', 'itkGrayscaleConnectedClosingImageFilterIUC2IUC2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('GrayscaleConnectedClosingImageFilter', 'itk::GrayscaleConnectedClosingImageFilter', 'itkGrayscaleConnectedClosingImageFilterIUC3IUC3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('GrayscaleConnectedClosingImageFilter', 'itk::GrayscaleConnectedClosingImageFilter', 'itkGrayscaleConnectedClosingImageFilterIULL2IULL2', True, 'itk::Image< unsigned long long,2 >, itk::Image< unsigned long long,2 >'),
  ('GrayscaleConnectedClosingImageFilter', 'itk::GrayscaleConnectedClosingImageFilter', 'itkGrayscaleConnectedClosingImageFilterIULL3IULL3', True, 'itk::Image< unsigned long long,3 >, itk::Image< unsigned long long,3 >'),
  ('GrayscaleConnectedClosingImageFilter', 'itk::GrayscaleConnectedClosingImageFilter', 'itkGrayscaleConnectedClosingImageFilterIF2IF2', True, 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('GrayscaleConnectedClosingImageFilter', 'itk::GrayscaleConnectedClosingImageFilter', 'itkGrayscaleConnectedClosingImageFilterIF3IF3', True, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('GrayscaleConnectedClosingImageFilter', 'itk::GrayscaleConnectedClosingImageFilter', 'itkGrayscaleConnectedClosingImageFilterID2ID2', True, 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('GrayscaleConnectedClosingImageFilter', 'itk::GrayscaleConnectedClosingImageFilter', 'itkGrayscaleConnectedClosingImageFilterID3ID3', True, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('GrayscaleConnectedOpeningImageFilter', 'itk::GrayscaleConnectedOpeningImageFilter', 'itkGrayscaleConnectedOpeningImageFilterISS2ISS2', True, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('GrayscaleConnectedOpeningImageFilter', 'itk::GrayscaleConnectedOpeningImageFilter', 'itkGrayscaleConnectedOpeningImageFilterISS3ISS3', True, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('GrayscaleConnectedOpeningImageFilter', 'itk::GrayscaleConnectedOpeningImageFilter', 'itkGrayscaleConnectedOpeningImageFilterIUC2IUC2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('GrayscaleConnectedOpeningImageFilter', 'itk::GrayscaleConnectedOpeningImageFilter', 'itkGrayscaleConnectedOpeningImageFilterIUC3IUC3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('GrayscaleConnectedOpeningImageFilter', 'itk::GrayscaleConnectedOpeningImageFilter', 'itkGrayscaleConnectedOpeningImageFilterIULL2IULL2', True, 'itk::Image< unsigned long long,2 >, itk::Image< unsigned long long,2 >'),
  ('GrayscaleConnectedOpeningImageFilter', 'itk::GrayscaleConnectedOpeningImageFilter', 'itkGrayscaleConnectedOpeningImageFilterIULL3IULL3', True, 'itk::Image< unsigned long long,3 >, itk::Image< unsigned long long,3 >'),
  ('GrayscaleConnectedOpeningImageFilter', 'itk::GrayscaleConnectedOpeningImageFilter', 'itkGrayscaleConnectedOpeningImageFilterIF2IF2', True, 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('GrayscaleConnectedOpeningImageFilter', 'itk::GrayscaleConnectedOpeningImageFilter', 'itkGrayscaleConnectedOpeningImageFilterIF3IF3', True, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('GrayscaleConnectedOpeningImageFilter', 'itk::GrayscaleConnectedOpeningImageFilter', 'itkGrayscaleConnectedOpeningImageFilterID2ID2', True, 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('GrayscaleConnectedOpeningImageFilter', 'itk::GrayscaleConnectedOpeningImageFilter', 'itkGrayscaleConnectedOpeningImageFilterID3ID3', True, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('GrayscaleDilateImageFilter', 'itk::GrayscaleDilateImageFilter', 'itkGrayscaleDilateImageFilterISS2ISS2SE2', True, 'itk::Image< signed short,2 >,itk::Image< signed short,2 >,itk::FlatStructuringElement< 2 >'),
  ('GrayscaleDilateImageFilter', 'itk::GrayscaleDilateImageFilter', 'itkGrayscaleDilateImageFilterIUC2IUC2SE2', True, 'itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >,itk::FlatStructuringElement< 2 >'),
  ('GrayscaleDilateImageFilter', 'itk::GrayscaleDilateImageFilter', 'itkGrayscaleDilateImageFilterIULL2IULL2SE2', True, 'itk::Image< unsigned long long,2 >,itk::Image< unsigned long long,2 >,itk::FlatStructuringElement< 2 >'),
  ('GrayscaleDilateImageFilter', 'itk::GrayscaleDilateImageFilter', 'itkGrayscaleDilateImageFilterIF2IF2SE2', True, 'itk::Image< float,2 >,itk::Image< float,2 >,itk::FlatStructuringElement< 2 >'),
  ('GrayscaleDilateImageFilter', 'itk::GrayscaleDilateImageFilter', 'itkGrayscaleDilateImageFilterID2ID2SE2', True, 'itk::Image< double,2 >,itk::Image< double,2 >,itk::FlatStructuringElement< 2 >'),
  ('GrayscaleDilateImageFilter', 'itk::GrayscaleDilateImageFilter', 'itkGrayscaleDilateImageFilterISS3ISS3SE3', True, 'itk::Image< signed short,3 >,itk::Image< signed short,3 >,itk::FlatStructuringElement< 3 >'),
  ('GrayscaleDilateImageFilter', 'itk::GrayscaleDilateImageFilter', 'itkGrayscaleDilateImageFilterIUC3IUC3SE3', True, 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >,itk::FlatStructuringElement< 3 >'),
  ('GrayscaleDilateImageFilter', 'itk::GrayscaleDilateImageFilter', 'itkGrayscaleDilateImageFilterIULL3IULL3SE3', True, 'itk::Image< unsigned long long,3 >,itk::Image< unsigned long long,3 >,itk::FlatStructuringElement< 3 >'),
  ('GrayscaleDilateImageFilter', 'itk::GrayscaleDilateImageFilter', 'itkGrayscaleDilateImageFilterIF3IF3SE3', True, 'itk::Image< float,3 >,itk::Image< float,3 >,itk::FlatStructuringElement< 3 >'),
  ('GrayscaleDilateImageFilter', 'itk::GrayscaleDilateImageFilter', 'itkGrayscaleDilateImageFilterID3ID3SE3', True, 'itk::Image< double,3 >,itk::Image< double,3 >,itk::FlatStructuringElement< 3 >'),
  ('GrayscaleErodeImageFilter', 'itk::GrayscaleErodeImageFilter', 'itkGrayscaleErodeImageFilterISS2ISS2SE2', True, 'itk::Image< signed short,2 >,itk::Image< signed short,2 >,itk::FlatStructuringElement< 2 >'),
  ('GrayscaleErodeImageFilter', 'itk::GrayscaleErodeImageFilter', 'itkGrayscaleErodeImageFilterIUC2IUC2SE2', True, 'itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >,itk::FlatStructuringElement< 2 >'),
  ('GrayscaleErodeImageFilter', 'itk::GrayscaleErodeImageFilter', 'itkGrayscaleErodeImageFilterIULL2IULL2SE2', True, 'itk::Image< unsigned long long,2 >,itk::Image< unsigned long long,2 >,itk::FlatStructuringElement< 2 >'),
  ('GrayscaleErodeImageFilter', 'itk::GrayscaleErodeImageFilter', 'itkGrayscaleErodeImageFilterIF2IF2SE2', True, 'itk::Image< float,2 >,itk::Image< float,2 >,itk::FlatStructuringElement< 2 >'),
  ('GrayscaleErodeImageFilter', 'itk::GrayscaleErodeImageFilter', 'itkGrayscaleErodeImageFilterID2ID2SE2', True, 'itk::Image< double,2 >,itk::Image< double,2 >,itk::FlatStructuringElement< 2 >'),
  ('GrayscaleErodeImageFilter', 'itk::GrayscaleErodeImageFilter', 'itkGrayscaleErodeImageFilterISS3ISS3SE3', True, 'itk::Image< signed short,3 >,itk::Image< signed short,3 >,itk::FlatStructuringElement< 3 >'),
  ('GrayscaleErodeImageFilter', 'itk::GrayscaleErodeImageFilter', 'itkGrayscaleErodeImageFilterIUC3IUC3SE3', True, 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >,itk::FlatStructuringElement< 3 >'),
  ('GrayscaleErodeImageFilter', 'itk::GrayscaleErodeImageFilter', 'itkGrayscaleErodeImageFilterIULL3IULL3SE3', True, 'itk::Image< unsigned long long,3 >,itk::Image< unsigned long long,3 >,itk::FlatStructuringElement< 3 >'),
  ('GrayscaleErodeImageFilter', 'itk::GrayscaleErodeImageFilter', 'itkGrayscaleErodeImageFilterIF3IF3SE3', True, 'itk::Image< float,3 >,itk::Image< float,3 >,itk::FlatStructuringElement< 3 >'),
  ('GrayscaleErodeImageFilter', 'itk::GrayscaleErodeImageFilter', 'itkGrayscaleErodeImageFilterID3ID3SE3', True, 'itk::Image< double,3 >,itk::Image< double,3 >,itk::FlatStructuringElement< 3 >'),
  ('GrayscaleFillholeImageFilter', 'itk::GrayscaleFillholeImageFilter', 'itkGrayscaleFillholeImageFilterISS2ISS2', True, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('GrayscaleFillholeImageFilter', 'itk::GrayscaleFillholeImageFilter', 'itkGrayscaleFillholeImageFilterISS3ISS3', True, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('GrayscaleFillholeImageFilter', 'itk::GrayscaleFillholeImageFilter', 'itkGrayscaleFillholeImageFilterIUC2IUC2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('GrayscaleFillholeImageFilter', 'itk::GrayscaleFillholeImageFilter', 'itkGrayscaleFillholeImageFilterIUC3IUC3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('GrayscaleFillholeImageFilter', 'itk::GrayscaleFillholeImageFilter', 'itkGrayscaleFillholeImageFilterIULL2IULL2', True, 'itk::Image< unsigned long long,2 >, itk::Image< unsigned long long,2 >'),
  ('GrayscaleFillholeImageFilter', 'itk::GrayscaleFillholeImageFilter', 'itkGrayscaleFillholeImageFilterIULL3IULL3', True, 'itk::Image< unsigned long long,3 >, itk::Image< unsigned long long,3 >'),
  ('GrayscaleFillholeImageFilter', 'itk::GrayscaleFillholeImageFilter', 'itkGrayscaleFillholeImageFilterIF2IF2', True, 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('GrayscaleFillholeImageFilter', 'itk::GrayscaleFillholeImageFilter', 'itkGrayscaleFillholeImageFilterIF3IF3', True, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('GrayscaleFillholeImageFilter', 'itk::GrayscaleFillholeImageFilter', 'itkGrayscaleFillholeImageFilterID2ID2', True, 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('GrayscaleFillholeImageFilter', 'itk::GrayscaleFillholeImageFilter', 'itkGrayscaleFillholeImageFilterID3ID3', True, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('GrayscaleFunctionDilateImageFilter', 'itk::GrayscaleFunctionDilateImageFilter', 'itkGrayscaleFunctionDilateImageFilterISS2ISS2SE2', True, 'itk::Image< signed short,2 >,itk::Image< signed short,2 >,itk::FlatStructuringElement< 2 >'),
  ('GrayscaleFunctionDilateImageFilter', 'itk::GrayscaleFunctionDilateImageFilter', 'itkGrayscaleFunctionDilateImageFilterIUC2IUC2SE2', True, 'itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >,itk::FlatStructuringElement< 2 >'),
  ('GrayscaleFunctionDilateImageFilter', 'itk::GrayscaleFunctionDilateImageFilter', 'itkGrayscaleFunctionDilateImageFilterIULL2IULL2SE2', True, 'itk::Image< unsigned long long,2 >,itk::Image< unsigned long long,2 >,itk::FlatStructuringElement< 2 >'),
  ('GrayscaleFunctionDilateImageFilter', 'itk::GrayscaleFunctionDilateImageFilter', 'itkGrayscaleFunctionDilateImageFilterIF2IF2SE2', True, 'itk::Image< float,2 >,itk::Image< float,2 >,itk::FlatStructuringElement< 2 >'),
  ('GrayscaleFunctionDilateImageFilter', 'itk::GrayscaleFunctionDilateImageFilter', 'itkGrayscaleFunctionDilateImageFilterID2ID2SE2', True, 'itk::Image< double,2 >,itk::Image< double,2 >,itk::FlatStructuringElement< 2 >'),
  ('GrayscaleFunctionDilateImageFilter', 'itk::GrayscaleFunctionDilateImageFilter', 'itkGrayscaleFunctionDilateImageFilterISS3ISS3SE3', True, 'itk::Image< signed short,3 >,itk::Image< signed short,3 >,itk::FlatStructuringElement< 3 >'),
  ('GrayscaleFunctionDilateImageFilter', 'itk::GrayscaleFunctionDilateImageFilter', 'itkGrayscaleFunctionDilateImageFilterIUC3IUC3SE3', True, 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >,itk::FlatStructuringElement< 3 >'),
  ('GrayscaleFunctionDilateImageFilter', 'itk::GrayscaleFunctionDilateImageFilter', 'itkGrayscaleFunctionDilateImageFilterIULL3IULL3SE3', True, 'itk::Image< unsigned long long,3 >,itk::Image< unsigned long long,3 >,itk::FlatStructuringElement< 3 >'),
  ('GrayscaleFunctionDilateImageFilter', 'itk::GrayscaleFunctionDilateImageFilter', 'itkGrayscaleFunctionDilateImageFilterIF3IF3SE3', True, 'itk::Image< float,3 >,itk::Image< float,3 >,itk::FlatStructuringElement< 3 >'),
  ('GrayscaleFunctionDilateImageFilter', 'itk::GrayscaleFunctionDilateImageFilter', 'itkGrayscaleFunctionDilateImageFilterID3ID3SE3', True, 'itk::Image< double,3 >,itk::Image< double,3 >,itk::FlatStructuringElement< 3 >'),
  ('GrayscaleFunctionErodeImageFilter', 'itk::GrayscaleFunctionErodeImageFilter', 'itkGrayscaleFunctionErodeImageFilterISS2ISS2SE2', True, 'itk::Image< signed short,2 >,itk::Image< signed short,2 >,itk::FlatStructuringElement< 2 >'),
  ('GrayscaleFunctionErodeImageFilter', 'itk::GrayscaleFunctionErodeImageFilter', 'itkGrayscaleFunctionErodeImageFilterIUC2IUC2SE2', True, 'itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >,itk::FlatStructuringElement< 2 >'),
  ('GrayscaleFunctionErodeImageFilter', 'itk::GrayscaleFunctionErodeImageFilter', 'itkGrayscaleFunctionErodeImageFilterIULL2IULL2SE2', True, 'itk::Image< unsigned long long,2 >,itk::Image< unsigned long long,2 >,itk::FlatStructuringElement< 2 >'),
  ('GrayscaleFunctionErodeImageFilter', 'itk::GrayscaleFunctionErodeImageFilter', 'itkGrayscaleFunctionErodeImageFilterIF2IF2SE2', True, 'itk::Image< float,2 >,itk::Image< float,2 >,itk::FlatStructuringElement< 2 >'),
  ('GrayscaleFunctionErodeImageFilter', 'itk::GrayscaleFunctionErodeImageFilter', 'itkGrayscaleFunctionErodeImageFilterID2ID2SE2', True, 'itk::Image< double,2 >,itk::Image< double,2 >,itk::FlatStructuringElement< 2 >'),
  ('GrayscaleFunctionErodeImageFilter', 'itk::GrayscaleFunctionErodeImageFilter', 'itkGrayscaleFunctionErodeImageFilterISS3ISS3SE3', True, 'itk::Image< signed short,3 >,itk::Image< signed short,3 >,itk::FlatStructuringElement< 3 >'),
  ('GrayscaleFunctionErodeImageFilter', 'itk::GrayscaleFunctionErodeImageFilter', 'itkGrayscaleFunctionErodeImageFilterIUC3IUC3SE3', True, 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >,itk::FlatStructuringElement< 3 >'),
  ('GrayscaleFunctionErodeImageFilter', 'itk::GrayscaleFunctionErodeImageFilter', 'itkGrayscaleFunctionErodeImageFilterIULL3IULL3SE3', True, 'itk::Image< unsigned long long,3 >,itk::Image< unsigned long long,3 >,itk::FlatStructuringElement< 3 >'),
  ('GrayscaleFunctionErodeImageFilter', 'itk::GrayscaleFunctionErodeImageFilter', 'itkGrayscaleFunctionErodeImageFilterIF3IF3SE3', True, 'itk::Image< float,3 >,itk::Image< float,3 >,itk::FlatStructuringElement< 3 >'),
  ('GrayscaleFunctionErodeImageFilter', 'itk::GrayscaleFunctionErodeImageFilter', 'itkGrayscaleFunctionErodeImageFilterID3ID3SE3', True, 'itk::Image< double,3 >,itk::Image< double,3 >,itk::FlatStructuringElement< 3 >'),
  ('GrayscaleGeodesicDilateImageFilter', 'itk::GrayscaleGeodesicDilateImageFilter', 'itkGrayscaleGeodesicDilateImageFilterISS2ISS2', True, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('GrayscaleGeodesicDilateImageFilter', 'itk::GrayscaleGeodesicDilateImageFilter', 'itkGrayscaleGeodesicDilateImageFilterISS3ISS3', True, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('GrayscaleGeodesicDilateImageFilter', 'itk::GrayscaleGeodesicDilateImageFilter', 'itkGrayscaleGeodesicDilateImageFilterIUC2IUC2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('GrayscaleGeodesicDilateImageFilter', 'itk::GrayscaleGeodesicDilateImageFilter', 'itkGrayscaleGeodesicDilateImageFilterIUC3IUC3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('GrayscaleGeodesicDilateImageFilter', 'itk::GrayscaleGeodesicDilateImageFilter', 'itkGrayscaleGeodesicDilateImageFilterIULL2IULL2', True, 'itk::Image< unsigned long long,2 >, itk::Image< unsigned long long,2 >'),
  ('GrayscaleGeodesicDilateImageFilter', 'itk::GrayscaleGeodesicDilateImageFilter', 'itkGrayscaleGeodesicDilateImageFilterIULL3IULL3', True, 'itk::Image< unsigned long long,3 >, itk::Image< unsigned long long,3 >'),
  ('GrayscaleGeodesicDilateImageFilter', 'itk::GrayscaleGeodesicDilateImageFilter', 'itkGrayscaleGeodesicDilateImageFilterIF2IF2', True, 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('GrayscaleGeodesicDilateImageFilter', 'itk::GrayscaleGeodesicDilateImageFilter', 'itkGrayscaleGeodesicDilateImageFilterIF3IF3', True, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('GrayscaleGeodesicDilateImageFilter', 'itk::GrayscaleGeodesicDilateImageFilter', 'itkGrayscaleGeodesicDilateImageFilterID2ID2', True, 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('GrayscaleGeodesicDilateImageFilter', 'itk::GrayscaleGeodesicDilateImageFilter', 'itkGrayscaleGeodesicDilateImageFilterID3ID3', True, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('GrayscaleGeodesicErodeImageFilter', 'itk::GrayscaleGeodesicErodeImageFilter', 'itkGrayscaleGeodesicErodeImageFilterISS2ISS2', True, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('GrayscaleGeodesicErodeImageFilter', 'itk::GrayscaleGeodesicErodeImageFilter', 'itkGrayscaleGeodesicErodeImageFilterISS3ISS3', True, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('GrayscaleGeodesicErodeImageFilter', 'itk::GrayscaleGeodesicErodeImageFilter', 'itkGrayscaleGeodesicErodeImageFilterIUC2IUC2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('GrayscaleGeodesicErodeImageFilter', 'itk::GrayscaleGeodesicErodeImageFilter', 'itkGrayscaleGeodesicErodeImageFilterIUC3IUC3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('GrayscaleGeodesicErodeImageFilter', 'itk::GrayscaleGeodesicErodeImageFilter', 'itkGrayscaleGeodesicErodeImageFilterIULL2IULL2', True, 'itk::Image< unsigned long long,2 >, itk::Image< unsigned long long,2 >'),
  ('GrayscaleGeodesicErodeImageFilter', 'itk::GrayscaleGeodesicErodeImageFilter', 'itkGrayscaleGeodesicErodeImageFilterIULL3IULL3', True, 'itk::Image< unsigned long long,3 >, itk::Image< unsigned long long,3 >'),
  ('GrayscaleGeodesicErodeImageFilter', 'itk::GrayscaleGeodesicErodeImageFilter', 'itkGrayscaleGeodesicErodeImageFilterIF2IF2', True, 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('GrayscaleGeodesicErodeImageFilter', 'itk::GrayscaleGeodesicErodeImageFilter', 'itkGrayscaleGeodesicErodeImageFilterIF3IF3', True, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('GrayscaleGeodesicErodeImageFilter', 'itk::GrayscaleGeodesicErodeImageFilter', 'itkGrayscaleGeodesicErodeImageFilterID2ID2', True, 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('GrayscaleGeodesicErodeImageFilter', 'itk::GrayscaleGeodesicErodeImageFilter', 'itkGrayscaleGeodesicErodeImageFilterID3ID3', True, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('GrayscaleGrindPeakImageFilter', 'itk::GrayscaleGrindPeakImageFilter', 'itkGrayscaleGrindPeakImageFilterISS2ISS2', True, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('GrayscaleGrindPeakImageFilter', 'itk::GrayscaleGrindPeakImageFilter', 'itkGrayscaleGrindPeakImageFilterISS3ISS3', True, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('GrayscaleGrindPeakImageFilter', 'itk::GrayscaleGrindPeakImageFilter', 'itkGrayscaleGrindPeakImageFilterIUC2IUC2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('GrayscaleGrindPeakImageFilter', 'itk::GrayscaleGrindPeakImageFilter', 'itkGrayscaleGrindPeakImageFilterIUC3IUC3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('GrayscaleGrindPeakImageFilter', 'itk::GrayscaleGrindPeakImageFilter', 'itkGrayscaleGrindPeakImageFilterIULL2IULL2', True, 'itk::Image< unsigned long long,2 >, itk::Image< unsigned long long,2 >'),
  ('GrayscaleGrindPeakImageFilter', 'itk::GrayscaleGrindPeakImageFilter', 'itkGrayscaleGrindPeakImageFilterIULL3IULL3', True, 'itk::Image< unsigned long long,3 >, itk::Image< unsigned long long,3 >'),
  ('GrayscaleGrindPeakImageFilter', 'itk::GrayscaleGrindPeakImageFilter', 'itkGrayscaleGrindPeakImageFilterIF2IF2', True, 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('GrayscaleGrindPeakImageFilter', 'itk::GrayscaleGrindPeakImageFilter', 'itkGrayscaleGrindPeakImageFilterIF3IF3', True, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('GrayscaleGrindPeakImageFilter', 'itk::GrayscaleGrindPeakImageFilter', 'itkGrayscaleGrindPeakImageFilterID2ID2', True, 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('GrayscaleGrindPeakImageFilter', 'itk::GrayscaleGrindPeakImageFilter', 'itkGrayscaleGrindPeakImageFilterID3ID3', True, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('GrayscaleMorphologicalClosingImageFilter', 'itk::GrayscaleMorphologicalClosingImageFilter', 'itkGrayscaleMorphologicalClosingImageFilterISS2ISS2SE2', True, 'itk::Image< signed short,2 >,itk::Image< signed short,2 >,itk::FlatStructuringElement< 2 >'),
  ('GrayscaleMorphologicalClosingImageFilter', 'itk::GrayscaleMorphologicalClosingImageFilter', 'itkGrayscaleMorphologicalClosingImageFilterIUC2IUC2SE2', True, 'itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >,itk::FlatStructuringElement< 2 >'),
  ('GrayscaleMorphologicalClosingImageFilter', 'itk::GrayscaleMorphologicalClosingImageFilter', 'itkGrayscaleMorphologicalClosingImageFilterIULL2IULL2SE2', True, 'itk::Image< unsigned long long,2 >,itk::Image< unsigned long long,2 >,itk::FlatStructuringElement< 2 >'),
  ('GrayscaleMorphologicalClosingImageFilter', 'itk::GrayscaleMorphologicalClosingImageFilter', 'itkGrayscaleMorphologicalClosingImageFilterIF2IF2SE2', True, 'itk::Image< float,2 >,itk::Image< float,2 >,itk::FlatStructuringElement< 2 >'),
  ('GrayscaleMorphologicalClosingImageFilter', 'itk::GrayscaleMorphologicalClosingImageFilter', 'itkGrayscaleMorphologicalClosingImageFilterID2ID2SE2', True, 'itk::Image< double,2 >,itk::Image< double,2 >,itk::FlatStructuringElement< 2 >'),
  ('GrayscaleMorphologicalClosingImageFilter', 'itk::GrayscaleMorphologicalClosingImageFilter', 'itkGrayscaleMorphologicalClosingImageFilterISS3ISS3SE3', True, 'itk::Image< signed short,3 >,itk::Image< signed short,3 >,itk::FlatStructuringElement< 3 >'),
  ('GrayscaleMorphologicalClosingImageFilter', 'itk::GrayscaleMorphologicalClosingImageFilter', 'itkGrayscaleMorphologicalClosingImageFilterIUC3IUC3SE3', True, 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >,itk::FlatStructuringElement< 3 >'),
  ('GrayscaleMorphologicalClosingImageFilter', 'itk::GrayscaleMorphologicalClosingImageFilter', 'itkGrayscaleMorphologicalClosingImageFilterIULL3IULL3SE3', True, 'itk::Image< unsigned long long,3 >,itk::Image< unsigned long long,3 >,itk::FlatStructuringElement< 3 >'),
  ('GrayscaleMorphologicalClosingImageFilter', 'itk::GrayscaleMorphologicalClosingImageFilter', 'itkGrayscaleMorphologicalClosingImageFilterIF3IF3SE3', True, 'itk::Image< float,3 >,itk::Image< float,3 >,itk::FlatStructuringElement< 3 >'),
  ('GrayscaleMorphologicalClosingImageFilter', 'itk::GrayscaleMorphologicalClosingImageFilter', 'itkGrayscaleMorphologicalClosingImageFilterID3ID3SE3', True, 'itk::Image< double,3 >,itk::Image< double,3 >,itk::FlatStructuringElement< 3 >'),
  ('GrayscaleMorphologicalOpeningImageFilter', 'itk::GrayscaleMorphologicalOpeningImageFilter', 'itkGrayscaleMorphologicalOpeningImageFilterISS2ISS2SE2', True, 'itk::Image< signed short,2 >,itk::Image< signed short,2 >,itk::FlatStructuringElement< 2 >'),
  ('GrayscaleMorphologicalOpeningImageFilter', 'itk::GrayscaleMorphologicalOpeningImageFilter', 'itkGrayscaleMorphologicalOpeningImageFilterIUC2IUC2SE2', True, 'itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >,itk::FlatStructuringElement< 2 >'),
  ('GrayscaleMorphologicalOpeningImageFilter', 'itk::GrayscaleMorphologicalOpeningImageFilter', 'itkGrayscaleMorphologicalOpeningImageFilterIULL2IULL2SE2', True, 'itk::Image< unsigned long long,2 >,itk::Image< unsigned long long,2 >,itk::FlatStructuringElement< 2 >'),
  ('GrayscaleMorphologicalOpeningImageFilter', 'itk::GrayscaleMorphologicalOpeningImageFilter', 'itkGrayscaleMorphologicalOpeningImageFilterIF2IF2SE2', True, 'itk::Image< float,2 >,itk::Image< float,2 >,itk::FlatStructuringElement< 2 >'),
  ('GrayscaleMorphologicalOpeningImageFilter', 'itk::GrayscaleMorphologicalOpeningImageFilter', 'itkGrayscaleMorphologicalOpeningImageFilterID2ID2SE2', True, 'itk::Image< double,2 >,itk::Image< double,2 >,itk::FlatStructuringElement< 2 >'),
  ('GrayscaleMorphologicalOpeningImageFilter', 'itk::GrayscaleMorphologicalOpeningImageFilter', 'itkGrayscaleMorphologicalOpeningImageFilterISS3ISS3SE3', True, 'itk::Image< signed short,3 >,itk::Image< signed short,3 >,itk::FlatStructuringElement< 3 >'),
  ('GrayscaleMorphologicalOpeningImageFilter', 'itk::GrayscaleMorphologicalOpeningImageFilter', 'itkGrayscaleMorphologicalOpeningImageFilterIUC3IUC3SE3', True, 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >,itk::FlatStructuringElement< 3 >'),
  ('GrayscaleMorphologicalOpeningImageFilter', 'itk::GrayscaleMorphologicalOpeningImageFilter', 'itkGrayscaleMorphologicalOpeningImageFilterIULL3IULL3SE3', True, 'itk::Image< unsigned long long,3 >,itk::Image< unsigned long long,3 >,itk::FlatStructuringElement< 3 >'),
  ('GrayscaleMorphologicalOpeningImageFilter', 'itk::GrayscaleMorphologicalOpeningImageFilter', 'itkGrayscaleMorphologicalOpeningImageFilterIF3IF3SE3', True, 'itk::Image< float,3 >,itk::Image< float,3 >,itk::FlatStructuringElement< 3 >'),
  ('GrayscaleMorphologicalOpeningImageFilter', 'itk::GrayscaleMorphologicalOpeningImageFilter', 'itkGrayscaleMorphologicalOpeningImageFilterID3ID3SE3', True, 'itk::Image< double,3 >,itk::Image< double,3 >,itk::FlatStructuringElement< 3 >'),
  ('HConcaveImageFilter', 'itk::HConcaveImageFilter', 'itkHConcaveImageFilterISS2ISS2', True, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('HConcaveImageFilter', 'itk::HConcaveImageFilter', 'itkHConcaveImageFilterISS3ISS3', True, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('HConcaveImageFilter', 'itk::HConcaveImageFilter', 'itkHConcaveImageFilterIUC2IUC2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('HConcaveImageFilter', 'itk::HConcaveImageFilter', 'itkHConcaveImageFilterIUC3IUC3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('HConcaveImageFilter', 'itk::HConcaveImageFilter', 'itkHConcaveImageFilterIULL2IULL2', True, 'itk::Image< unsigned long long,2 >, itk::Image< unsigned long long,2 >'),
  ('HConcaveImageFilter', 'itk::HConcaveImageFilter', 'itkHConcaveImageFilterIULL3IULL3', True, 'itk::Image< unsigned long long,3 >, itk::Image< unsigned long long,3 >'),
  ('HConcaveImageFilter', 'itk::HConcaveImageFilter', 'itkHConcaveImageFilterIF2IF2', True, 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('HConcaveImageFilter', 'itk::HConcaveImageFilter', 'itkHConcaveImageFilterIF3IF3', True, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('HConcaveImageFilter', 'itk::HConcaveImageFilter', 'itkHConcaveImageFilterID2ID2', True, 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('HConcaveImageFilter', 'itk::HConcaveImageFilter', 'itkHConcaveImageFilterID3ID3', True, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('HConvexImageFilter', 'itk::HConvexImageFilter', 'itkHConvexImageFilterISS2ISS2', True, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('HConvexImageFilter', 'itk::HConvexImageFilter', 'itkHConvexImageFilterISS3ISS3', True, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('HConvexImageFilter', 'itk::HConvexImageFilter', 'itkHConvexImageFilterIUC2IUC2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('HConvexImageFilter', 'itk::HConvexImageFilter', 'itkHConvexImageFilterIUC3IUC3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('HConvexImageFilter', 'itk::HConvexImageFilter', 'itkHConvexImageFilterIULL2IULL2', True, 'itk::Image< unsigned long long,2 >, itk::Image< unsigned long long,2 >'),
  ('HConvexImageFilter', 'itk::HConvexImageFilter', 'itkHConvexImageFilterIULL3IULL3', True, 'itk::Image< unsigned long long,3 >, itk::Image< unsigned long long,3 >'),
  ('HConvexImageFilter', 'itk::HConvexImageFilter', 'itkHConvexImageFilterIF2IF2', True, 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('HConvexImageFilter', 'itk::HConvexImageFilter', 'itkHConvexImageFilterIF3IF3', True, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('HConvexImageFilter', 'itk::HConvexImageFilter', 'itkHConvexImageFilterID2ID2', True, 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('HConvexImageFilter', 'itk::HConvexImageFilter', 'itkHConvexImageFilterID3ID3', True, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('HMaximaImageFilter', 'itk::HMaximaImageFilter', 'itkHMaximaImageFilterISS2ISS2', True, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('HMaximaImageFilter', 'itk::HMaximaImageFilter', 'itkHMaximaImageFilterISS3ISS3', True, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('HMaximaImageFilter', 'itk::HMaximaImageFilter', 'itkHMaximaImageFilterIUC2IUC2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('HMaximaImageFilter', 'itk::HMaximaImageFilter', 'itkHMaximaImageFilterIUC3IUC3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('HMaximaImageFilter', 'itk::HMaximaImageFilter', 'itkHMaximaImageFilterIULL2IULL2', True, 'itk::Image< unsigned long long,2 >, itk::Image< unsigned long long,2 >'),
  ('HMaximaImageFilter', 'itk::HMaximaImageFilter', 'itkHMaximaImageFilterIULL3IULL3', True, 'itk::Image< unsigned long long,3 >, itk::Image< unsigned long long,3 >'),
  ('HMaximaImageFilter', 'itk::HMaximaImageFilter', 'itkHMaximaImageFilterIF2IF2', True, 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('HMaximaImageFilter', 'itk::HMaximaImageFilter', 'itkHMaximaImageFilterIF3IF3', True, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('HMaximaImageFilter', 'itk::HMaximaImageFilter', 'itkHMaximaImageFilterID2ID2', True, 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('HMaximaImageFilter', 'itk::HMaximaImageFilter', 'itkHMaximaImageFilterID3ID3', True, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('HMinimaImageFilter', 'itk::HMinimaImageFilter', 'itkHMinimaImageFilterISS2ISS2', True, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('HMinimaImageFilter', 'itk::HMinimaImageFilter', 'itkHMinimaImageFilterISS3ISS3', True, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('HMinimaImageFilter', 'itk::HMinimaImageFilter', 'itkHMinimaImageFilterIUC2IUC2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('HMinimaImageFilter', 'itk::HMinimaImageFilter', 'itkHMinimaImageFilterIUC3IUC3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('HMinimaImageFilter', 'itk::HMinimaImageFilter', 'itkHMinimaImageFilterIULL2IULL2', True, 'itk::Image< unsigned long long,2 >, itk::Image< unsigned long long,2 >'),
  ('HMinimaImageFilter', 'itk::HMinimaImageFilter', 'itkHMinimaImageFilterIULL3IULL3', True, 'itk::Image< unsigned long long,3 >, itk::Image< unsigned long long,3 >'),
  ('HMinimaImageFilter', 'itk::HMinimaImageFilter', 'itkHMinimaImageFilterIF2IF2', True, 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('HMinimaImageFilter', 'itk::HMinimaImageFilter', 'itkHMinimaImageFilterIF3IF3', True, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('HMinimaImageFilter', 'itk::HMinimaImageFilter', 'itkHMinimaImageFilterID2ID2', True, 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('HMinimaImageFilter', 'itk::HMinimaImageFilter', 'itkHMinimaImageFilterID3ID3', True, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('MorphologicalGradientImageFilter', 'itk::MorphologicalGradientImageFilter', 'itkMorphologicalGradientImageFilterISS2ISS2SE2', True, 'itk::Image< signed short,2 >,itk::Image< signed short,2 >,itk::FlatStructuringElement< 2 >'),
  ('MorphologicalGradientImageFilter', 'itk::MorphologicalGradientImageFilter', 'itkMorphologicalGradientImageFilterIUC2IUC2SE2', True, 'itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >,itk::FlatStructuringElement< 2 >'),
  ('MorphologicalGradientImageFilter', 'itk::MorphologicalGradientImageFilter', 'itkMorphologicalGradientImageFilterIULL2IULL2SE2', True, 'itk::Image< unsigned long long,2 >,itk::Image< unsigned long long,2 >,itk::FlatStructuringElement< 2 >'),
  ('MorphologicalGradientImageFilter', 'itk::MorphologicalGradientImageFilter', 'itkMorphologicalGradientImageFilterIF2IF2SE2', True, 'itk::Image< float,2 >,itk::Image< float,2 >,itk::FlatStructuringElement< 2 >'),
  ('MorphologicalGradientImageFilter', 'itk::MorphologicalGradientImageFilter', 'itkMorphologicalGradientImageFilterID2ID2SE2', True, 'itk::Image< double,2 >,itk::Image< double,2 >,itk::FlatStructuringElement< 2 >'),
  ('MorphologicalGradientImageFilter', 'itk::MorphologicalGradientImageFilter', 'itkMorphologicalGradientImageFilterISS3ISS3SE3', True, 'itk::Image< signed short,3 >,itk::Image< signed short,3 >,itk::FlatStructuringElement< 3 >'),
  ('MorphologicalGradientImageFilter', 'itk::MorphologicalGradientImageFilter', 'itkMorphologicalGradientImageFilterIUC3IUC3SE3', True, 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >,itk::FlatStructuringElement< 3 >'),
  ('MorphologicalGradientImageFilter', 'itk::MorphologicalGradientImageFilter', 'itkMorphologicalGradientImageFilterIULL3IULL3SE3', True, 'itk::Image< unsigned long long,3 >,itk::Image< unsigned long long,3 >,itk::FlatStructuringElement< 3 >'),
  ('MorphologicalGradientImageFilter', 'itk::MorphologicalGradientImageFilter', 'itkMorphologicalGradientImageFilterIF3IF3SE3', True, 'itk::Image< float,3 >,itk::Image< float,3 >,itk::FlatStructuringElement< 3 >'),
  ('MorphologicalGradientImageFilter', 'itk::MorphologicalGradientImageFilter', 'itkMorphologicalGradientImageFilterID3ID3SE3', True, 'itk::Image< double,3 >,itk::Image< double,3 >,itk::FlatStructuringElement< 3 >'),
  ('OpeningByReconstructionImageFilter', 'itk::OpeningByReconstructionImageFilter', 'itkOpeningByReconstructionImageFilterISS2ISS2SE2', True, 'itk::Image< signed short,2 >,itk::Image< signed short,2 >,itk::FlatStructuringElement< 2 >'),
  ('OpeningByReconstructionImageFilter', 'itk::OpeningByReconstructionImageFilter', 'itkOpeningByReconstructionImageFilterIUC2IUC2SE2', True, 'itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >,itk::FlatStructuringElement< 2 >'),
  ('OpeningByReconstructionImageFilter', 'itk::OpeningByReconstructionImageFilter', 'itkOpeningByReconstructionImageFilterIULL2IULL2SE2', True, 'itk::Image< unsigned long long,2 >,itk::Image< unsigned long long,2 >,itk::FlatStructuringElement< 2 >'),
  ('OpeningByReconstructionImageFilter', 'itk::OpeningByReconstructionImageFilter', 'itkOpeningByReconstructionImageFilterIF2IF2SE2', True, 'itk::Image< float,2 >,itk::Image< float,2 >,itk::FlatStructuringElement< 2 >'),
  ('OpeningByReconstructionImageFilter', 'itk::OpeningByReconstructionImageFilter', 'itkOpeningByReconstructionImageFilterID2ID2SE2', True, 'itk::Image< double,2 >,itk::Image< double,2 >,itk::FlatStructuringElement< 2 >'),
  ('OpeningByReconstructionImageFilter', 'itk::OpeningByReconstructionImageFilter', 'itkOpeningByReconstructionImageFilterISS3ISS3SE3', True, 'itk::Image< signed short,3 >,itk::Image< signed short,3 >,itk::FlatStructuringElement< 3 >'),
  ('OpeningByReconstructionImageFilter', 'itk::OpeningByReconstructionImageFilter', 'itkOpeningByReconstructionImageFilterIUC3IUC3SE3', True, 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >,itk::FlatStructuringElement< 3 >'),
  ('OpeningByReconstructionImageFilter', 'itk::OpeningByReconstructionImageFilter', 'itkOpeningByReconstructionImageFilterIULL3IULL3SE3', True, 'itk::Image< unsigned long long,3 >,itk::Image< unsigned long long,3 >,itk::FlatStructuringElement< 3 >'),
  ('OpeningByReconstructionImageFilter', 'itk::OpeningByReconstructionImageFilter', 'itkOpeningByReconstructionImageFilterIF3IF3SE3', True, 'itk::Image< float,3 >,itk::Image< float,3 >,itk::FlatStructuringElement< 3 >'),
  ('OpeningByReconstructionImageFilter', 'itk::OpeningByReconstructionImageFilter', 'itkOpeningByReconstructionImageFilterID3ID3SE3', True, 'itk::Image< double,3 >,itk::Image< double,3 >,itk::FlatStructuringElement< 3 >'),
  ('ReconstructionByDilationImageFilter', 'itk::ReconstructionByDilationImageFilter', 'itkReconstructionByDilationImageFilterISS2ISS2', True, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('ReconstructionByDilationImageFilter', 'itk::ReconstructionByDilationImageFilter', 'itkReconstructionByDilationImageFilterISS3ISS3', True, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('ReconstructionByDilationImageFilter', 'itk::ReconstructionByDilationImageFilter', 'itkReconstructionByDilationImageFilterIUC2IUC2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('ReconstructionByDilationImageFilter', 'itk::ReconstructionByDilationImageFilter', 'itkReconstructionByDilationImageFilterIUC3IUC3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('ReconstructionByDilationImageFilter', 'itk::ReconstructionByDilationImageFilter', 'itkReconstructionByDilationImageFilterIULL2IULL2', True, 'itk::Image< unsigned long long,2 >, itk::Image< unsigned long long,2 >'),
  ('ReconstructionByDilationImageFilter', 'itk::ReconstructionByDilationImageFilter', 'itkReconstructionByDilationImageFilterIULL3IULL3', True, 'itk::Image< unsigned long long,3 >, itk::Image< unsigned long long,3 >'),
  ('ReconstructionByDilationImageFilter', 'itk::ReconstructionByDilationImageFilter', 'itkReconstructionByDilationImageFilterIF2IF2', True, 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('ReconstructionByDilationImageFilter', 'itk::ReconstructionByDilationImageFilter', 'itkReconstructionByDilationImageFilterIF3IF3', True, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('ReconstructionByDilationImageFilter', 'itk::ReconstructionByDilationImageFilter', 'itkReconstructionByDilationImageFilterID2ID2', True, 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('ReconstructionByDilationImageFilter', 'itk::ReconstructionByDilationImageFilter', 'itkReconstructionByDilationImageFilterID3ID3', True, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('ReconstructionByErosionImageFilter', 'itk::ReconstructionByErosionImageFilter', 'itkReconstructionByErosionImageFilterISS2ISS2', True, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('ReconstructionByErosionImageFilter', 'itk::ReconstructionByErosionImageFilter', 'itkReconstructionByErosionImageFilterISS3ISS3', True, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('ReconstructionByErosionImageFilter', 'itk::ReconstructionByErosionImageFilter', 'itkReconstructionByErosionImageFilterIUC2IUC2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('ReconstructionByErosionImageFilter', 'itk::ReconstructionByErosionImageFilter', 'itkReconstructionByErosionImageFilterIUC3IUC3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('ReconstructionByErosionImageFilter', 'itk::ReconstructionByErosionImageFilter', 'itkReconstructionByErosionImageFilterIULL2IULL2', True, 'itk::Image< unsigned long long,2 >, itk::Image< unsigned long long,2 >'),
  ('ReconstructionByErosionImageFilter', 'itk::ReconstructionByErosionImageFilter', 'itkReconstructionByErosionImageFilterIULL3IULL3', True, 'itk::Image< unsigned long long,3 >, itk::Image< unsigned long long,3 >'),
  ('ReconstructionByErosionImageFilter', 'itk::ReconstructionByErosionImageFilter', 'itkReconstructionByErosionImageFilterIF2IF2', True, 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('ReconstructionByErosionImageFilter', 'itk::ReconstructionByErosionImageFilter', 'itkReconstructionByErosionImageFilterIF3IF3', True, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('ReconstructionByErosionImageFilter', 'itk::ReconstructionByErosionImageFilter', 'itkReconstructionByErosionImageFilterID2ID2', True, 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('ReconstructionByErosionImageFilter', 'itk::ReconstructionByErosionImageFilter', 'itkReconstructionByErosionImageFilterID3ID3', True, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('RegionalMaximaImageFilter', 'itk::RegionalMaximaImageFilter', 'itkRegionalMaximaImageFilterISS2ISS2', True, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('RegionalMaximaImageFilter', 'itk::RegionalMaximaImageFilter', 'itkRegionalMaximaImageFilterISS3ISS3', True, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('RegionalMaximaImageFilter', 'itk::RegionalMaximaImageFilter', 'itkRegionalMaximaImageFilterIUC2IUC2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('RegionalMaximaImageFilter', 'itk::RegionalMaximaImageFilter', 'itkRegionalMaximaImageFilterIUC3IUC3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('RegionalMaximaImageFilter', 'itk::RegionalMaximaImageFilter', 'itkRegionalMaximaImageFilterIULL2IULL2', True, 'itk::Image< unsigned long long,2 >, itk::Image< unsigned long long,2 >'),
  ('RegionalMaximaImageFilter', 'itk::RegionalMaximaImageFilter', 'itkRegionalMaximaImageFilterIULL3IULL3', True, 'itk::Image< unsigned long long,3 >, itk::Image< unsigned long long,3 >'),
  ('RegionalMaximaImageFilter', 'itk::RegionalMaximaImageFilter', 'itkRegionalMaximaImageFilterIF2IF2', True, 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('RegionalMaximaImageFilter', 'itk::RegionalMaximaImageFilter', 'itkRegionalMaximaImageFilterIF3IF3', True, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('RegionalMaximaImageFilter', 'itk::RegionalMaximaImageFilter', 'itkRegionalMaximaImageFilterID2ID2', True, 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('RegionalMaximaImageFilter', 'itk::RegionalMaximaImageFilter', 'itkRegionalMaximaImageFilterID3ID3', True, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('RegionalMinimaImageFilter', 'itk::RegionalMinimaImageFilter', 'itkRegionalMinimaImageFilterISS2ISS2', True, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('RegionalMinimaImageFilter', 'itk::RegionalMinimaImageFilter', 'itkRegionalMinimaImageFilterISS3ISS3', True, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('RegionalMinimaImageFilter', 'itk::RegionalMinimaImageFilter', 'itkRegionalMinimaImageFilterIUC2IUC2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('RegionalMinimaImageFilter', 'itk::RegionalMinimaImageFilter', 'itkRegionalMinimaImageFilterIUC3IUC3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('RegionalMinimaImageFilter', 'itk::RegionalMinimaImageFilter', 'itkRegionalMinimaImageFilterIULL2IULL2', True, 'itk::Image< unsigned long long,2 >, itk::Image< unsigned long long,2 >'),
  ('RegionalMinimaImageFilter', 'itk::RegionalMinimaImageFilter', 'itkRegionalMinimaImageFilterIULL3IULL3', True, 'itk::Image< unsigned long long,3 >, itk::Image< unsigned long long,3 >'),
  ('RegionalMinimaImageFilter', 'itk::RegionalMinimaImageFilter', 'itkRegionalMinimaImageFilterIF2IF2', True, 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('RegionalMinimaImageFilter', 'itk::RegionalMinimaImageFilter', 'itkRegionalMinimaImageFilterIF3IF3', True, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('RegionalMinimaImageFilter', 'itk::RegionalMinimaImageFilter', 'itkRegionalMinimaImageFilterID2ID2', True, 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('RegionalMinimaImageFilter', 'itk::RegionalMinimaImageFilter', 'itkRegionalMinimaImageFilterID3ID3', True, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('ValuedRegionalMaximaImageFilter', 'itk::ValuedRegionalMaximaImageFilter', 'itkValuedRegionalMaximaImageFilterISS2ISS2', True, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('ValuedRegionalMaximaImageFilter', 'itk::ValuedRegionalMaximaImageFilter', 'itkValuedRegionalMaximaImageFilterISS3ISS3', True, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('ValuedRegionalMaximaImageFilter', 'itk::ValuedRegionalMaximaImageFilter', 'itkValuedRegionalMaximaImageFilterIUC2IUC2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('ValuedRegionalMaximaImageFilter', 'itk::ValuedRegionalMaximaImageFilter', 'itkValuedRegionalMaximaImageFilterIUC3IUC3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('ValuedRegionalMaximaImageFilter', 'itk::ValuedRegionalMaximaImageFilter', 'itkValuedRegionalMaximaImageFilterIULL2IULL2', True, 'itk::Image< unsigned long long,2 >, itk::Image< unsigned long long,2 >'),
  ('ValuedRegionalMaximaImageFilter', 'itk::ValuedRegionalMaximaImageFilter', 'itkValuedRegionalMaximaImageFilterIULL3IULL3', True, 'itk::Image< unsigned long long,3 >, itk::Image< unsigned long long,3 >'),
  ('ValuedRegionalMaximaImageFilter', 'itk::ValuedRegionalMaximaImageFilter', 'itkValuedRegionalMaximaImageFilterIF2IF2', True, 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('ValuedRegionalMaximaImageFilter', 'itk::ValuedRegionalMaximaImageFilter', 'itkValuedRegionalMaximaImageFilterIF3IF3', True, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('ValuedRegionalMaximaImageFilter', 'itk::ValuedRegionalMaximaImageFilter', 'itkValuedRegionalMaximaImageFilterID2ID2', True, 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('ValuedRegionalMaximaImageFilter', 'itk::ValuedRegionalMaximaImageFilter', 'itkValuedRegionalMaximaImageFilterID3ID3', True, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('ValuedRegionalMinimaImageFilter', 'itk::ValuedRegionalMinimaImageFilter', 'itkValuedRegionalMinimaImageFilterISS2ISS2', True, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('ValuedRegionalMinimaImageFilter', 'itk::ValuedRegionalMinimaImageFilter', 'itkValuedRegionalMinimaImageFilterISS3ISS3', True, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('ValuedRegionalMinimaImageFilter', 'itk::ValuedRegionalMinimaImageFilter', 'itkValuedRegionalMinimaImageFilterIUC2IUC2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('ValuedRegionalMinimaImageFilter', 'itk::ValuedRegionalMinimaImageFilter', 'itkValuedRegionalMinimaImageFilterIUC3IUC3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('ValuedRegionalMinimaImageFilter', 'itk::ValuedRegionalMinimaImageFilter', 'itkValuedRegionalMinimaImageFilterIULL2IULL2', True, 'itk::Image< unsigned long long,2 >, itk::Image< unsigned long long,2 >'),
  ('ValuedRegionalMinimaImageFilter', 'itk::ValuedRegionalMinimaImageFilter', 'itkValuedRegionalMinimaImageFilterIULL3IULL3', True, 'itk::Image< unsigned long long,3 >, itk::Image< unsigned long long,3 >'),
  ('ValuedRegionalMinimaImageFilter', 'itk::ValuedRegionalMinimaImageFilter', 'itkValuedRegionalMinimaImageFilterIF2IF2', True, 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('ValuedRegionalMinimaImageFilter', 'itk::ValuedRegionalMinimaImageFilter', 'itkValuedRegionalMinimaImageFilterIF3IF3', True, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('ValuedRegionalMinimaImageFilter', 'itk::ValuedRegionalMinimaImageFilter', 'itkValuedRegionalMinimaImageFilterID2ID2', True, 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('ValuedRegionalMinimaImageFilter', 'itk::ValuedRegionalMinimaImageFilter', 'itkValuedRegionalMinimaImageFilterID3ID3', True, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('WhiteTopHatImageFilter', 'itk::WhiteTopHatImageFilter', 'itkWhiteTopHatImageFilterISS2ISS2SE2', True, 'itk::Image< signed short,2 >,itk::Image< signed short,2 >,itk::FlatStructuringElement< 2 >'),
  ('WhiteTopHatImageFilter', 'itk::WhiteTopHatImageFilter', 'itkWhiteTopHatImageFilterIUC2IUC2SE2', True, 'itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >,itk::FlatStructuringElement< 2 >'),
  ('WhiteTopHatImageFilter', 'itk::WhiteTopHatImageFilter', 'itkWhiteTopHatImageFilterIULL2IULL2SE2', True, 'itk::Image< unsigned long long,2 >,itk::Image< unsigned long long,2 >,itk::FlatStructuringElement< 2 >'),
  ('WhiteTopHatImageFilter', 'itk::WhiteTopHatImageFilter', 'itkWhiteTopHatImageFilterIF2IF2SE2', True, 'itk::Image< float,2 >,itk::Image< float,2 >,itk::FlatStructuringElement< 2 >'),
  ('WhiteTopHatImageFilter', 'itk::WhiteTopHatImageFilter', 'itkWhiteTopHatImageFilterID2ID2SE2', True, 'itk::Image< double,2 >,itk::Image< double,2 >,itk::FlatStructuringElement< 2 >'),
  ('WhiteTopHatImageFilter', 'itk::WhiteTopHatImageFilter', 'itkWhiteTopHatImageFilterISS3ISS3SE3', True, 'itk::Image< signed short,3 >,itk::Image< signed short,3 >,itk::FlatStructuringElement< 3 >'),
  ('WhiteTopHatImageFilter', 'itk::WhiteTopHatImageFilter', 'itkWhiteTopHatImageFilterIUC3IUC3SE3', True, 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >,itk::FlatStructuringElement< 3 >'),
  ('WhiteTopHatImageFilter', 'itk::WhiteTopHatImageFilter', 'itkWhiteTopHatImageFilterIULL3IULL3SE3', True, 'itk::Image< unsigned long long,3 >,itk::Image< unsigned long long,3 >,itk::FlatStructuringElement< 3 >'),
  ('WhiteTopHatImageFilter', 'itk::WhiteTopHatImageFilter', 'itkWhiteTopHatImageFilterIF3IF3SE3', True, 'itk::Image< float,3 >,itk::Image< float,3 >,itk::FlatStructuringElement< 3 >'),
  ('WhiteTopHatImageFilter', 'itk::WhiteTopHatImageFilter', 'itkWhiteTopHatImageFilterID3ID3SE3', True, 'itk::Image< double,3 >,itk::Image< double,3 >,itk::FlatStructuringElement< 3 >'),
)
